<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Fooditems;
use App\Models\Language;
use DataTables;
use App\Models\Review;
use App\Helpers\s3upload;
use Illuminate\Support\Facades\Storage;
use Session;
class FooditemsController extends Controller
{
     /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request) {
        $added_user_id   = Session::get('user_id');
 
        if ($request->ajax()) {

            //$data = Fooditems:: where('is_deleted','=','0')->get();
           $data =  Fooditems::select('food_items.*','users.full_name')->leftjoin('users', 'food_items.added_user_id', '=', 'users.id')->where('users.is_deleted','=','0')->where('food_items.is_deleted','=','0');

            return Datatables::of($data)
                    ->addIndexColumn()
                    ->addColumn('food_image', function($row){
                        $url= env('project_image_path').'foodimage/'.$row->food_image;
                        return '<img src="'.$url.'" border="0" width="40" class="img-rounded" align="center" />';
                    })
                    ->addColumn('food_name', function($row){
                        return $row->food_name;
                    })
                     ->addColumn('full_name', function($row){
                        if($row->added_user_id != Session::get('user_id')){
                        return 'Restaurant'. ' - ' . $row->full_name;
                        }else{ return 'Admin';}
                    })
                    ->addColumn('created_at', function($row){
                        return date('d-m-Y', strtotime($row->created_at));
                    })
                    ->addColumn('action', function($row){
                        $urlpath = url('admin/fooditems');
                      if($row->added_user_id == Session::get('user_id')){

                        return '<a href="'.$urlpath.'/edit/'. $row->id .'" class="edit"><i class="material-icons">edit</i></a><a href="'.$urlpath.'/view/'. $row->id .'" class="view"><i class="material-icons">visibility</i></a><a href="javascript:void(0);" onClick="deleteFunc('.$row->id.')" class="delete"><i class="material-icons">delete</i></a>';
                    }else{
                        return '<a href="'.$urlpath.'/view/'. $row->id .'" class="view"><i class="material-icons">visibility</i></a>';    
                    }
                    })
                    ->rawColumns(['food_image','food_name','created_at','action'])
                    ->make(true);
        }

        return view('admin.fooditems.list');
    }

    public function fooditemadd(){

                return view('admin.fooditems.add');
    }

    public function fooditemsubmit(Request $request){
        $added_user_id   = Session::get('user_id');
         $this->validate($request, [
            'food_image' => 'required',
            'food_name' => 'required',
           // 'food_description' => 'required',

        ]);
            $res = new Fooditems();
            $res->added_user_id = $added_user_id;
            $res->food_name = $request->food_name;
            $res->food_description = $request->food_description;

            if($request->has('food_image')){
                $file1 = $request->file()['food_image'];
                $imageName=$file1->getClientOriginalName();
                $file = $_FILES['food_image']['tmp_name'];
                $path = env('AWS_BUCKET_FOLDER') . env('FOOD_IMAGE');
                $contents = s3upload::uploadImage($imageName, $file, $path); // calling helper function
                $res->food_image = $contents;
            }

            if($res->save())
            {
                return redirect()->route('admin.fooditems.list', ['token' => $request->email_token])->with('message', 'Food Item added successfully!');
            }

    }
    public function edit($id) {
        $fooditem = Fooditems::find($id)->toArray();
        return view('admin.fooditems.edit')->with('fooditem',$fooditem);
    }

    public function update(Request $request){
        $this->validate($request, [
            'food_name' => 'required',

        ]);
        $fooditem = Fooditems::find($request->id);
        $fooditem->food_name = $request->food_name;
        $fooditem->food_description = $request->food_description;

        if($request->has('food_image')){
            $file1 = $request->file()['food_image'];
            $imageName=$file1->getClientOriginalName();
            $file = $_FILES['food_image']['tmp_name'];
            $path = env('AWS_BUCKET_FOLDER') . env('FOOD_IMAGE');
            $contents = s3upload::uploadImage($imageName, $file, $path); // calling helper function
            $fooditem->food_image = $contents;
        }
        $fooditem->update();
        return redirect()->route('admin.fooditems.list')->with('message', 'Food item record updated successfully!');
    }

    public function delete($id){
        $fooditem = Fooditems::find($id);
        if($fooditem->is_deleted == '0'){
            $fooditem->is_deleted = "1";
        } else {
            $fooditem->is_deleted = "0";
        }
        $fooditem->update();

       return response()->json([
            'success' => 'Record has been deleted successfully!'
        ]);
       
        // return redirect()->route('admin.user.list')->with('message', 'User record delete successfully!');
    }

    public function changeStatus($id){
        $user = User::find($id);
        if($user->status == '1'){
            $user->status = "0";
        } else {
            $user->status = "1";
        }
        $user->update();
        return response()->json([
            'success' => 'Record status has been changed successfully!'
        ]);
    }

    public function view($id) {

        $fooditem = Fooditems::find($id);
        return view('admin.fooditems.view')->with('fooditems',$fooditem);
    }

    public function deleteReview($id)
    {
        $review = Review::where('id', $id)->firstorfail()->delete();
        return response()->json([
            'data' => $review,
            'message' => 'Record is delete successfully',
        ]);
    }
}
