<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\HomePageDesignContent;
use DataTables;
use App\Helpers\Admin;
use App\Helpers\s3upload;
use Session;
class HomePageDesignContentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
       $permission = Admin::checkPermission(Session::get('user_id'),'Static Content','View');
    
      if($permission == 0){
        
        return redirect()->route('admin.dashboard')->with('message','You dont have permission to do this action')->send();


      }else{
       
        if ($request->ajax()) {
             $data = HomePageDesignContent::where('is_deleted','=','1')->get();
            return Datatables::of($data)
                    ->addIndexColumn()
                    ->addColumn('content', function($row){
                        return strip_tags($row->page_description);
                    })
                    ->addColumn('action', function($row){
                        $urlpath = url('admin/homedesigncontent');
                      
                   $btn = '';
                      
                            $btn = '<a href="'.$urlpath.'/edit/'. $row->id .'" class="dropdown-item"><i class="zmdi zmdi-edit zmdi-hc-fw text-secondary"></i>Edit</a>';
                      

                        return '<div class="btn-group dot-view-acation"><a href="#" data-toggle="dropdown" class="btn btn-default btn-sm btn-icon-only transparent" title=""><i class="zmdi zmdi-more"></i></a>
                            <div class="dropdown-menu dropdown-icon-menu dropdown-menu-right"> 
                                                 '.$btn.'</div></div>';
                        
                    })
                    ->rawColumns(['content','action'])
                    ->make(true);
        }
        
        return view('admin.homedesigncontent.list');
    }
    }

    public function add()
    {
        return view('admin.homedesigncontent.add');
    }

    public function store(Request $request) {
        $this->validate($request, [
            'content' => 'required',
            'content_description' => 'required',
    ]);
        $page = new HomePageDesignContent();
        $page->content_description = $request->content_description;
        $page->content = $request->content;
        $page->arabic_content_description = $request->arabic_content_description;
        $page->arabic_content = $request->arabic_content;
        $page->save();
        return redirect()->route('admin.homedesigncontent.list')->with('message', 'Page record added successfully!');
    }

    public function edit($id) {
        $page = HomePageDesignContent::find($id)->toArray();
      //  dd($page);
        return view('admin.homedesigncontent.edit')->with('page',$page);
    }

    public function update(Request $request){
            //dd($request->upload_file);
           $this->validate($request, [
            'content' => 'required',
            'content_description' => 'required',

    ]); 
        if($request->has('upload_file')){
            $content_images = array();
            foreach($request->file('upload_file') as $key => $Image){
                //$image = new ProductImage();
                $file1 = $request->file()['upload_file'][$key];
                $imageName=$file1->getClientOriginalName();
                $file = $_FILES['upload_file']['tmp_name'][$key];
                $path = env('AWS_BUCKET_FOLDER') . env('POPULAR_RESTAURANT_BRAND');
                $contents = s3upload::uploadImage($imageName, $file, $path); // calling helper function
                $content_images[] = $contents;

            }
        }
        
        $page = HomePageDesignContent::find($request->id);
        $page->content_description = $request->content_description;
        $page->content = $request->content;
        $page->arabic_content_description = $request->arabic_content_description;
        $page->arabic_content = $request->arabic_content;
        if(!empty($content_images)){
        $page->content_images = implode(',',$content_images);
        }
        $page->update();
        return redirect()->route('admin.homedesigncontent.list')->with('message', 'Pages record updated successfully!');
    }

    public function view($id) {
        $page = HomePageDesignContent::find($id)->toArray();
        return view('admin.homedesigncontent.view')->with('page',$page);
    }
}
