<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Admin extends Model
{
    protected $table = 'tbl_admin';
    public $timestamps = true;
    protected $guarded = [];

    public function scopeId($query, $id)
    {
        return $query->where('id', $id);
    }
    public function scopeEmail($query, $email)
    {
        return $query->where('email', $email)->where('is_deleted','=','0');
    }
    public function scopeMobileNumber($query, $countryCode, $mobileNumber)
    {
        return $query->whereRaw("CONCAT(`country_code`,'',`mobile_number`) = " . '"' . $countryCode . $mobileNumber . '"');
    }
    public function scopeSocialId($query, $socialId)
    {
        return $query->where('social_id', $socialId);
    }
    public function scopeSignupType($query, $type)
    {
        return $query->where('signup_type', $type);
    }
    public function scopeActive($query)
    {
        return $query->where('status', '1');
    }
    public function scopeLoggedIn($query)
    {
        return $query->where('is_logged_in', '1');
    }

}
