// Add your javascript here
$(function () {
    $('.searchable').multiSelect({
      selectableHeader:
        "<input type='text' class='search-input form-control' autocomplete='off' placeholder='search'>",
      selectionHeader:
        "<input type='text' class='search-input form-control' autocomplete='off' placeholder='search'>",
      afterInit: function (ms) {
        var that = this,
          $selectableSearch = that.$selectableUl.prev(),
          $selectionSearch = that.$selectionUl.prev(),
          selectableSearchString =
            '#' +
            that.$container.attr('id') +
            ' .ms-elem-selectable:not(.ms-selected)',
          selectionSearchString =
            '#' + that.$container.attr('id') + ' .ms-elem-selection.ms-selected';
  
        that.qs1 = $selectableSearch
          .quicksearch(selectableSearchString)
          .on('keydown', function (e) {
            if (e.which === 40) {
              that.$selectableUl.focus();
              return false;
            }
          });
        // the below line takes care of searching item. It has a dependency of other plugin
        // Thats why we included quicksearch.js
        that.qs2 = $selectionSearch
          .quicksearch(selectionSearchString)
          .on('keydown', function (e) {
            if (e.which == 40) {
              that.$selectionUl.focus();
              return false;
            }
          });
      },
      afterSelect: function (values) {
        this.qs1.cache();
        this.qs2.cache();
        updateDatabase(values);
      },
      afterDeselect: function (values) {
        this.qs1.cache();
        this.qs2.cache();
        updateDatabase(values);
      },
    });
    //this is the function you need to call and update
    function updateDatabase(values) {
    }
  
    //Event triggered when you change the dropdown
    $('#selTypes').change(function () {
      var selectedVal = this.value;
      var myData = loadDataFromServer(selectedVal);
      prepareMultiSelect(myData);
    });
  
    //Just for a demo purpose, basically its a data from server
    var serverData1 = [
      {
        value: 1,
        text: 'Data A1',
      },
      {
        value: 2,
        text: 'Data A2',
      },
      {
        value: 3,
        text: 'Data A3',
      },
    ];
    var serverData2 = [
      {
        value: 1,
        text: 'Data B1',
      },
      {
        value: 2,
        text: 'Data B2',
      },
      {
        value: 3,
        text: 'Data B3',
      },
    ];
  
    function loadDataFromServer(selectedVal) {
      //Here is the place you need to load the data from server
      //and form array like above. i.e like serverData1 or 2
      if (selectedVal == 1) {
        return serverData1;
      }
      if (selectedVal == 2) {
        return serverData2;
      }
    }
  
    //When you call this method, it will remove all existing items in a box
    // Then add new item from the array you passed
    function prepareMultiSelect(arrayData) {
      $('.searchable').find('option').remove(); //remove all options
      $('.searchable').multiSelect('refresh');
      for (
        i = 0;
        i <= arrayData.length;
        i++ //newly added values
      ) {
        $('.searchable').multiSelect('addOption', {
          value: arrayData[i].value,
          text: arrayData[i].text,
          index: i,
        });
      }
      $('.searchable').multiSelect('refresh');
    }
  });
  