@extends('layout.admin')
@section('title') Contact Us @endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Contact Us
                    <small class="text-muted">List of all contact us</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Contact Us</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="card">
                    <div class="header"></div>
                        <!-- <div class="col-md-12 align-self-center text-right">
                            <div class="d-flex justify-content-end align-items-center">
                                 <a href="{{url('admin/contact/add')}}" type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="zmdi zmdi-plus"></i> Add New</a>
                            </div>
                        </div> -->
                    <div class="body">
                        <div class="table-responsive">
                            <table id="contact_us_list" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>User Name</th>
                                        <th>Title</th>
                                        <th>Email</th>
                                        <th>Message</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>  
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
$(function () {
    
    var table = $('#contact_us_list').DataTable({
        processing: true,
        serverSide: true,
        ajax: "{{ route('admin.contact.list') }}",
        columns: [
            {data: 'id', name: 'id'},
            {data: 'user.first_name', name: 'user_name'},
            {data: 'title', name: 'title'},
            {data: 'email', name: 'email'},
            {data: 'message', name: 'message'},
            { data: 'action', name: 'action'},
            // {data: 'action', name: 'action', orderable: false, searchable: false},
        ]
    });
});

function deleteFunc(id){
    Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
        if (result.isConfirmed) {
            $.ajax({
                type:"GET",
                url: "{{ route('admin.contact.delete') }}/"+id,
                // data: { id: id },
                dataType: 'json',
                success: function(res){
                    Swal.fire(
                    'Deleted!',
                    'User record delete successfully!',
                    'success'
                    )
                    var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
                }
            });
        }
    })
}
</script>
@endsection