@extends('layout.admin')
@section('title') Notification @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/multipleselect/css/multi-select.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/multipleselect/style.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Notification </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">Notification</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Notification
                        <small class="text-muted">Fill in the form and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Notification</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="header"><h2>Notification</h2></div>
                        <div class="body">
                            <form class="form" name="createDrawProduct" id="createDrawProduct" method="POST" enctype="multipart/form-data" action="{{ route('admin.notifications.send') }}">
                                {{ csrf_field() }}
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div class="form-group form-float">
                                            <div class="@error('selectedusers') error @enderror">
                                                <label class="form-label">Users</label>
                                                <select name="selectedusers[]" id="selectedusers" class="form-control searchable" multiple='multiple'>
                                                    <option value=""></option>
                                                    @foreach($users as $key => $user)
                                                        <option value="{{$user->id}}">{{$user->first_name.' '.$user->last_name}}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                            @error('selectedusers')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('title') error @enderror">
                                                <textarea class="form-control" name="title" id="title" data-parsley-trigger="change" required=""></textarea>
                                                <label class="form-label" style="margin-top: -18px;">Title</label>
                                            </div>
                                            @error('title')
                                                <label class="error" role="alert">{{ $title }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('message') error @enderror">
                                                <textarea class="form-control" name="message" id="message" data-parsley-trigger="change" required=""></textarea>
                                                <label class="form-label" style="margin-top: -18px;">Message</label>
                                            </div>
                                            @error('message')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-6">
                                        <button class="btn btn-raised btn-primary waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script src="{{ asset('assets/plugins/ckeditor/ckeditor.js') }}"></script>
<script src="{{ asset('assets/multipleselect/js/jquery.multi-select.js') }}"></script>
<script src="{{ asset('assets/multipleselect/js/jquery.quicksearch.js') }}"></script>
<script src="{{ asset('assets/multipleselect/script.js') }}"></script>
<script>
    // CKEDITOR.replace('message');
    CKEDITOR.replace('message', {
      extraPlugins : 'emoji',
      contentsCss: [
        'http://cdn.ckeditor.com/4.16.2/full-all/contents.css',
        'https://ckeditor.com/docs/ckeditor4/4.16.2/examples/assets/mentions/contents.css'
      ],
    });
</script>
@endsection