@extends('layout.admin')
@section('title') Earnings @endsection
@section('content')

<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Earnings
                    <small class="text-muted">List of all Earnings</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Earnings</li>
                    </ul>
                </div>
              
            </div>
        </div>
         <div class="container-fluid">

                <div class="row clearfix">
                <div class="col-lg-12 col-md-4 col-sm-12">
                        <div class="card card-grid">
                            <ul class="row profile_state list-unstyled">
                                <li class="col-lg-3 col-md-3 col-6">
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="zmdi zmdi-money"></i>
                                        </div>
                                        <h4>{{$day}}</h4>
                                        <span class="inactive">Daily</span>
                                    </div>
                                </li>
                                <li class="col-lg-3 col-md-3 col-6">
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="zmdi zmdi-money-box"></i>
                                        </div>
                                        <h4>{{$week}}</h4>
                                        <span class="active">Weekly</span>
                                    </div>
                                </li>
                                <li class="col-lg-3 col-md-3 col-6">
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="zmdi zmdi-money"></i>
                                        </div>
                                        <h4>{{$month}}</h4>
                                        <span class="total">Monthly</span>
                                    </div>
                                </li>
                                <li class="col-lg-3 col-md-3 col-6">
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="zmdi zmdi-money-box"></i>
                                        </div>
                                        <h4>{{$total}}</h4>
                                        <span class="total">Total</span>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>



                </div>
            </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table id="subscription" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>Transaction ID</th>
                                        <th>Transaction Date</th>
                                        <th>Transaction Time</th>
                                        <th>Restaurant Name</th>
                                        <th>Restaurant Phone Number</th>
                                        <th>Subscription Name</th>
                                        <th>Price Paid</th>
                                        <th>Accrued Price</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
  $(function () {

    var table = $('#subscription').DataTable({
        dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "{{ route('admin.earnings.list') }}",
            "type": "POST",
            data: {
                "_token": "{{ csrf_token() }}"
            }
        },
        columns: [
            
            {data: 'transaction_id', name: 'transaction_id'},
            {data: 'transaction_date', name: 'transaction_date'},
            {data: 'transaction_time', name: 'transaction_time'},
            {data: 'restaurant_name', name: 'restaurant_name'},
            {data: 'mobile_number', name: 'mobile_number'},
            {data: 'planname', name: 'planname'},
            {data: 'price', name: 'price'},
            {data: 'price', name: 'price'}
        ],
       "order": [[ 1, "desc" ]]
    });
  });
  
</script>
@endsection
