@extends('layout.admin') @section('title') Add  Content @endsection @section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" /> @endsection @section('content') <div class="container-fluid">
  <div class="row page-titles">
    <div class="col-md-5 align-self-center">
      <h4 class="text-themecolor">Static Content</h4>
    </div>
    <div class="col-md-7 align-self-center text-right">
      <div class="d-flex justify-content-end align-items-center">
        <ol class="breadcrumb">
          <li class="breadcrumb-item active">Static Content</li>
        </ol>
      </div>
    </div>
  </div>
  <section class="content home">
    <div class="block-header">
      <div class="row">
        <div class="col-lg-7 col-md-6 col-sm-12">
          <h2>Add Static Content <small class="text-muted">Fill in the form and then click on submit</small>
          </h2>
        </div>
        <div class="col-lg-5 col-md-6 col-sm-12">
          <ul class="breadcrumb float-md-right">
            <li class="breadcrumb-item">
              <a href="{{ route('admin.dashboard') }}">
                <i class="zmdi zmdi-home"></i> Home </a>
            </li>
            <li class="breadcrumb-item">
              <a href="{{ route('admin.homedesigncontent.list') }}">
                <i class="zmdi zmdi-store"></i> Home Design Content </a>
            </li>
            <li class="breadcrumb-item active">Add</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="container-fluid">
      <div class="row clearfix">
        <div class="col-lg-12 col-md-12 col-sm-12"> @if(session()->has('message')) <div class="alert alert-success">
            {{ session()->get('message') }}
          </div> @endif <div class="card">
            <div class="header">
              <h2>Static Content Add</h2>
            </div>
            <div class="body">
              <form enctype="multipart/form-data" id="add" name="add" method="post" action="{{ route('admin.homedesigncontent.add') }}">
               
                {{ csrf_field() }}
                {{ method_field('PUT') }}
                <div class="row clearfix">
                  <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="form-line focused @error('content_description') error @enderror">
                        
                        <input type="text" name="content_description" id="content_description" class="form-control" value="">
                        <label class="form-label">Content Name</label>
                      </div> @error('content_description') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
                   <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="form-line focused @error('arabic_content_description') error @enderror">
                        
                        <input type="text" name="arabic_content_description" id="arabic_content_description" dir="rtl" class="form-control" value="">
                        <label class="form-label">Arabic Content Name</label>
                      </div> @error('arabic_content_description') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
               
                </div>
                <div class="row clearfix">
                     <div class="col-md-6 col-md-offset-1">
            
            <div class="form-group">
                <label for="content">Content</label>
                <textarea name="content" type="text" class="form-control" id="content" placeholder="Enter Content"
                    required=""></textarea> @error('content') <label class="error" role="alert">{{ $message }}</label> @enderror
            </div>
        </div>

         <div class="col-md-6 col-md-offset-1">
            
            <div class="form-group">
                <label for="arabic_content">Arabic Content</label>
                <textarea name="arabic_content" type="text" class="form-control" id="arabic_content" placeholder="Enter Arabic Content"
                    required=""></textarea>
            </div>
        </div>
      </div>
           
                 <div class="row clearfix">
                  <div class="col-md-12">
                    <button class="btn btn-raised btn-yellow waves-effect" type="submit" id="submit_form">SUBMIT</button>
                    <a href="{{ route('admin.homedesigncontent.list')}}" class="btn btn-raised btn-yellow waves-effect float-right">Back</a>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div> @endsection @section('js') <script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script src="{{ asset('assets/plugins/ckeditor/ckeditor.js') }}"></script>

<script>
  $(document).ready(function(e) {
    function readURL(input) {
      if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function(e) {
          $("#imagePreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
        }
        reader.readAsDataURL(input.files[0]);
      }
    }
    $("#main_image").change(function() {
      readURL(this);
    });
  });
 
  $(document).ready(function() {
    $('#editsubscription').validate({ // initialize the plugin
      rules: {
        name: {
          required: true
        },
      
        email: {
          required: true,
          email:true,
        
        }
      },
      messages: {
        subscription_name: {
          required: 'Please enter sub admin name',
        },
        email: {
          required: 'Please enter sub admin email',
        },
      },
      errorPlacement: function(error, element) {
        var placement = $(element).data('error');
        if (placement) {
          $(placement).append(error)
        } else {
          error.insertAfter(element);
        }
      }
    });
  });
   // CKEDITOR.replace('message');
    CKEDITOR.replace('content', {
      extraPlugins : 'emoji',
      contentsCss: [
        'http://cdn.ckeditor.com/4.16.2/full-all/contents.css',
        'https://ckeditor.com/docs/ckeditor4/4.16.2/examples/assets/mentions/contents.css'
      ],
    });
    CKEDITOR.replace('arabic_content', {
      extraPlugins : 'emoji',
      contentsLangDirection: "rtl",
      contentsCss: [
        'http://cdn.ckeditor.com/4.16.2/full-all/contents.css',
        'https://ckeditor.com/docs/ckeditor4/4.16.2/examples/assets/mentions/contents.css'
      ],
    });
</script> @endsection
