@extends('layout.admin') @section('title') Edit Home Design Static Content @endsection @section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" /> @endsection @section('content') <div class="container-fluid">
  <div class="row page-titles">
    <div class="col-md-5 align-self-center">
      <h4 class="text-themecolor">Static Content </h4>
    </div>
    <div class="col-md-7 align-self-center text-right">
      <div class="d-flex justify-content-end align-items-center">
        <ol class="breadcrumb">
          <li class="breadcrumb-item active">Static Content</li>
        </ol>
      </div>
    </div>
  </div>
  <section class="content home">
    <div class="block-header">
      <div class="row">
        <div class="col-lg-7 col-md-6 col-sm-12">
          <h2>Edit Home Design Static Content <small class="text-muted">Fill in the form and then click on submit</small>
          </h2>
        </div>
        <div class="col-lg-5 col-md-6 col-sm-12">
          <ul class="breadcrumb float-md-right">
            <li class="breadcrumb-item">
              <a href="{{ route('admin.dashboard') }}">
                <i class="zmdi zmdi-home"></i> Home </a>
            </li>
            <li class="breadcrumb-item">
              <a href="{{ route('admin.homedesigncontent.list') }}">
                <i class="zmdi zmdi-store"></i> Home Design Static Content </a>
            </li>
            <li class="breadcrumb-item active">Edit</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="container-fluid">
      <div class="row clearfix">
        <div class="col-lg-12 col-md-12 col-sm-12"> @if(session()->has('message')) <div class="alert alert-success">
            {{ session()->get('message') }}
          </div> @endif <div class="card">
            <div class="header">
              <h2>Home Design Static Content Edit</h2>
            </div>
            <div class="body">
              <form enctype="multipart/form-data" id="editsubscription" name="editsubscription" method="post" action="{{ route('admin.homedesigncontent.postedit') }}">
               
                {{ csrf_field() }}
                {{ method_field('PUT') }}
                <div class="row clearfix">
                  <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="form-line focused @error('name') error @enderror">
                        <input type="hidden" name="id" value="{{$page['id']}}">
                        <input type="text" name="content_description" id="content_description" class="form-control" value="{{$page['content_description']}}" readonly>
                        <label class="form-label">Content Name</label>
                      </div> @error('content_description') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
                 <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="form-line focused @error('arabic_content_description') error @enderror">
                        
                        <input type="text" name="arabic_content_description" id="arabic_content_description" dir="rtl" class="form-control" value="{{$page['arabic_content_description']}}">
                        <label class="form-label">Arabic Content Name</label>
                      </div> @error('arabic_content_description') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
                </div>
                 <div class="row clearfix">
                     <div class="col-md-6">
            
            <div class="form-group">
                <label for="content">Content</label>
                <textarea name="content" type="text" class="form-control" id="content" placeholder="Enter Content"
                    required="">{{ $page['content'] }}</textarea> @error('content') <label class="error" role="alert">{{ $message }}</label> @enderror
            </div>
        </div>
         <div class="col-md-6">
            
            <div class="form-group">
                <label for="arabic_content">Arabic Content</label>
                <textarea name="arabic_content" type="text" class="form-control" id="arabic_content" placeholder="Enter Arabic Content"
                    required="">{{ $page['arabic_content'] }}</textarea>
            </div>
        </div>
          @if($page['content_name'] == 'popular_restaurants_brand')
        <div class="col-md-12">

                <label>Popular Restaurants Brand Images</label>
<div class="text-center m-b-10">
          @php 
            $content_images = explode(',',$page['content_images']);

          @endphp
            <div id="image_preview">
                @foreach ($content_images as $key => $value)
                <div id="image_section<?php echo $key; ?>" class="image_show_section">
                    <img src='<?php echo env('project_image_path') . env('POPULAR_RESTAURANT_BRAND') . $value; ?>' class="preview_image">
                   <!--  <a href="javascript:void(0);"
                    onclick="deleteImage({{ $key }})"
                    class="delete delete_image_icon"><i
                    class="material-icons">delete</i></a> -->
                </div>
                @endforeach
            </div>
                         <div id="image_previews"></div>

            <div class="form-group text-center">
              
          
        </div>
    </div>

            <input type="file" id="image" name="upload_file[]" onchange="preview_image();" multiple/>


        </div>
          @endif
      </div><br/>
      
        
           
                 <div class="row clearfix">
                  <div class="col-md-12">
                    <button class="btn btn-raised btn-yellow waves-effect" type="submit" id="submit_form">SUBMIT</button>
                    <a href="{{ route('admin.homedesigncontent.list')}}" class="btn btn-raised btn-yellow waves-effect float-right">Back</a>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div> @endsection @section('js') <script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script src="{{ asset('assets/plugins/ckeditor/ckeditor.js') }}"></script>

<script>
  $(document).ready(function(e) {
    function readURL(input) {
      if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function(e) {
          $("#imagePreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
        }
        reader.readAsDataURL(input.files[0]);
      }
    }
    $("#main_image").change(function() {
      readURL(this);
    });
  });
 
  $(document).ready(function() {
    $('#editsubscription').validate({ // initialize the plugin
      rules: {
        name: {
          required: true
        },
      
        email: {
          required: true,
          email:true,
        
        }
      },
      messages: {
        subscription_name: {
          required: 'Please enter sub admin name',
        },
        email: {
          required: 'Please enter sub admin email',
        },
      },
      errorPlacement: function(error, element) {
        var placement = $(element).data('error');
        if (placement) {
          $(placement).append(error)
        } else {
          error.insertAfter(element);
        }
      }
    });
  });
   // CKEDITOR.replace('message');
    CKEDITOR.replace('content', {
      extraPlugins : 'emoji',
      contentsCss: [
        'http://cdn.ckeditor.com/4.16.2/full-all/contents.css',
        'https://ckeditor.com/docs/ckeditor4/4.16.2/examples/assets/mentions/contents.css'
      ],
    });
     CKEDITOR.replace('arabic_content', {
      extraPlugins : 'emoji',
      contentsLangDirection: "rtl",
      contentsCss: [
        'http://cdn.ckeditor.com/4.16.2/full-all/contents.css',
        'https://ckeditor.com/docs/ckeditor4/4.16.2/examples/assets/mentions/contents.css'
      ],
    });
     function preview_images() 
{
 var total_file=document.getElementById("upload_file").files.length;
 for(var i=0;i<total_file;i++)
 {
  $('#image_previews').append("<img class='mr-1' width='200px' height='auto' src='"+URL.createObjectURL(event.target.files[i])+"'>");
 }
}
 function addInventory(flag) {
        if (flag == 'no') {
            $('#inventory_section').hide();
            $('#addInventoryButton').hide();
            $('.product_price_section').show();
        } else {
            $('#inventory_section').show();
            $('#addInventoryButton').show();
            $('.product_price_section').hide();
        }
    }

    function preview_image() {
        var fd = new FormData();
        var files = $('#image')[0].files;
      console.log(files);

        var total_file = document.getElementById("image").files.length;
          $('#image_preview').html('');
        for (var i = 0; i < total_file; i++) {
            $('#image_previews').append("<div id='image_sections"+i+"' class='image_show_section'><img src='" + URL
                .createObjectURL(event.target.files[i]) + "' class='preview_image'></div>");
        }
    }
    // <a href='javascript:void(0);' data-id='"+i+"' class='delete delete_image_static delete_image_icon' onclick='deleteImageadded("+i+")'><i class='material-icons'>delete</i></a>
    function deleteImageadded(id) {
          $('#image_sections' + id).remove();
    }
  
   function deleteImage(id) {
          $('#image_section' + id).remove();
    }
</script> @endsection
