@extends('layout.admin')
@section('title') Notifications @endsection
@section('content')
@php
use App\Helpers\Admin;
$create =  Admin::checkPermission(Session::get('user_id'),'Notifications','Send');
$delete = Admin::checkPermission(Session::get('user_id'),'Notifications','Delete');

@endphp
<style type="text/css">
    body {
  padding-right: 0 !important;
}
</style>
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Notifications
                    <small class="text-muted">List of all Notifications</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Notifications</li>
                    </ul>
                </div>
                  @php if($create == 1){ @endphp 
                 <div class="col-lg-12 col-md-12 col-sm-12">
                   <a href="{{ route('admin.notifications.add') }}" class="btn btn-raised btn-yellow waves-effect float-right">Add</a>
                 </div>
                  @php } @endphp
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                 @if(session()->has('error'))
                    <div class="alert alert-danger">
                        {{ session()->get('error') }}
                    </div>
                @endif
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table id="notifications" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Date</th>
                                        <th>Time</th>
                                        <th>Title</th>
                                        <th>Message</th>
                                        <th>Customers/Restaurants</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
  $(function () {

    var table = $('#notifications').DataTable({
        dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "{{ route('admin.notifications.list') }}",
            "type": "POST",
            data: {
                "_token": "{{ csrf_token() }}"
            }
        },
        columns: [
            {data: 'id', name: 'id'},
            {data: 'created_at', name: 'created_at'},
            {data: 'time', name: 'time'},
            {data: 'title', name: 'title'},
            {data: 'message', name: 'message'},
            {data: 'user_id', name: 'user_id'},
            {data: 'action', name: 'action'},
        ],
        initComplete: function () {
      var api = this.api();
      var myCondition = <?php echo $delete; ?>;
      var number1 = parseInt(myCondition);
      var number2 = parseInt(0);
         api.column(0).visible( false );

      if(number1 === number2) {
      
        api.column(5).visible( false );
      }else{
        api.column(5).visible( true );
      }
    }
    });
  });

function deleteFunc(id){

    Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
        if (result.isConfirmed) {
            // ajax
            $.ajax({
                type:"GET",
                url: "{{ route('admin.notifications.delete') }}/"+id,
                // data: { id: id },
                dataType: 'json',
                success: function(res){
                  
                    Swal.fire(
                    'Deleted!',
                    'Notification delete successfully!',
                    'success'
                    )
                    var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
                }
            });
        }
    })

}
</script>
@endsection
