@extends('layout.admin')
@section('title') Orders @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/css/detail_page.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Orders</h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.orders.list') }}"><i class="zmdi zmdi-store"></i> Orders </a></li>
                        <li class="breadcrumb-item active">Detail</li>
                    </ul>
                </div>
            </div>
        </div>
        @if(session()->has('message'))
            <div class="alert alert-success">
                {{ session()->get('message') }}
            </div>
        @endif
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                        
                          <div class="container-fliud">
                            <div class="row">
                              <div class="col-md-4">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                     
                                        <ul class="list-group list-group-unbordered mb-3">
                                           
                                          @if(!empty($order->display_order_id))
                                          <li class="list-group-item">
                                            <b>Order Id</b> <a class="float-right">Order{{ $order->display_order_id }}</a>
                                          </li>
                                          @endif
                                          @if(!empty($order->created_at))
                                          <li class="list-group-item">
                                            <b>Order Date</b> <a class="float-right">{{ date('d-m-Y', strtotime($order->created_at)) }}</a>
                                          </li>
                                           <li class="list-group-item">
                                            <b>Order Time</b> <a class="float-right">{{ date('h:i:s A', strtotime($order->created_at)) }}</a>
                                          </li>
                                          @endif
                                             <li class="list-group-item">
                                            <b>Order Status</b> <a class="float-right">
                                              @if($order['order_status'] == 'a')
                                    {{ 'Accepted'}}
                            @elseif($order['order_status'] == 'p')
                                        {{ 'Preparing'}}
                            @elseif($order['order_status'] == 'c')
                                     {{ 'Coming' }}
                            @elseif($order['order_status'] == 's')
                                     {{'Served'}}
                            @elseif($order['order_status'] == 'co')
                                     {{'Completed'}}
                            @elseif($order['order_status'] == 'cn')
                                    {{ 'Cancelled'}}
                            @else
                                     Pending
                                 @endif</a>
                                          </li>           
                                  @if($order['order_status'] == 'cn')
                                  <li class="list-group-item">
                                    <b>Cancel reason</b> <a class="float-right">{{$order['cancel_order_reson']}}</a>
                                  </li>
                                  @endif
                                      </ul>
                                  </div>
                              </div>
                          </div>
                            <div class="col-md-4">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                     
                                        <ul class="list-group list-group-unbordered mb-3">

                                          <li class="list-group-item">
                                             @if(!empty($order->customer_name))
                                            <b>Customer's Name</b> <a class="float-right">{{ $order->customer_name }}</a>
                                            @else
                                             <b>Customer's Name</b> <a class="float-right">Guest</a>

                                          @endif
                                          </li>
                                           @if(!empty($order->customer_mobile_no))
                                          <li class="list-group-item">
                                            <b>Customer's Mo. no</b> <a class="float-right">{{ $order->customer_mobile_no }}</a>
                                          </li>
                                          @endif
                                           @if(!empty($order->restaurant_name))
                                          <li class="list-group-item">
                                            <b>Restaurant Name</b> <a class="float-right">{{ $order->restaurant_name }}</a>
                                          </li>
                                          @endif

                                        @if(!empty($order->total_amount_pay))
                                          <li class="list-group-item">
                                            <b> Price Paid</b> <a class="float-right">{{number_format($order->total_amount_pay,2)}} {{config('constant.CURRENCY')}}</a>
                                          </li>
                                          @endif
                                        
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                  <div class="col-md-4">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                     
                                        <ul class="list-group list-group-unbordered mb-3">
                                             @if(!empty($order->payment_method))
                                          <li class="list-group-item">
                                            <b> Payment Method</b> <a class="float-right">@if($order->payment_method == 'c') Cash @else  Card @endif </a>
                                          </li>
                                          @endif 
                                          @if(!empty($order->orderdetails))
                                          <li class="list-group-item">
                                            <b> Food item name</b> <a class="float-right">
                                                @php $foodname = array();
                        foreach($order['orderdetails'] as $fooditems){
                            $foodname[] = $fooditems['food_name'];
                        }
                        @endphp
                        {{ implode(',',$foodname)}}
                         </a>
                                          </li>


                                          <li class="list-group-item">
                                            <b>  Quantity</b> <a class="float-right">
                                                @php $quantity = 0;
                        foreach($order['orderdetails'] as $fooditems){
                            $quantity = $quantity + $fooditems['quantity'];
                        }
                        @endphp
                        {{ $quantity }}
                         </a>
                                          </li>
                                          @endif

                                        </ul>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="col-lg-12">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                      <ul class="list-group list-group-unbordered mb-3">
                                            @if(!empty($order->orderdetails))
                                          <li class="list-group-item">
                                            <h6> Food Items</h6 ><br>
                            <table class="table">
                                <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Qty</th>
                                    <th>Required</th>
                                    <th>Extra</th>
                                    <th>Note</th>
                                </tr>
                                </thead>
                                <tbody>
                                    @foreach($order['orderdetails'] as $fooditems)

                                    <tr>
                                        <td>{{$fooditems['food_name']}}</td>
                                        <td>{{$fooditems['quantity']}}</td>
                                        @if($fooditems['required_id'] != '')
                                        @php
                                            $required_id = explode(',',$fooditems['required_id']);
                                            $required_name = App\Models\RequiredFooditems::select('required_name')->whereIn('id',$required_id)->get()->toArray();
                                            $requiredname = array_column($required_name, 'required_name');
                                        @endphp
                                              <td>{{ implode(', ',$requiredname) }}</td>
                                        @else
                                         <td>-</td>
                                        @endif
                                        @if($fooditems['extras_id'] != '')
                                         @php
                                            $extras_id = explode(',',$fooditems['extras_id']);
                                            $extra_name = App\Models\ExtraFooditems::select('extra_name')->whereIn('id',$extras_id)->get()->toArray();
                                            $extraname = array_column($extra_name, 'extra_name');
                                        @endphp
                                              <td>@if(!empty($extraname)) {{ implode(', ',$extraname) }} @else - @endif</td>
                                        @else
                                         <td>-</td>
                                        @endif
                                        <td>{{$fooditems['note']}}</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table> </li>
                            @endif
                                      </ul>
                                  </div>
                              </div>
                                  </div>
                            </div>
                            <a href="{{ URL::previous() }}" class="btn btn-raised btn-yellow waves-effect">Back</a>
                            </div>
                </div>
            </div>
        </div>
    </section>

</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
</script>
@endsection
