@extends('layout.admin')
@section('title')
    Users
@endsection
@section('content')
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">&nbsp;</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item active">&nbps;</li>
                    </ol>
                </div>
            </div>
        </div>
        <section class="content home">
            <div class="block-header">
                <div class="row">
                    <div class="col-lg-7 col-md-6 col-sm-12">
                        <h2>Users
                            <small class="text-muted">List of all users</small>
                        </h2>
                    </div>
                    <div class="col-lg-5 col-md-6 col-sm-12">
                        <ul class="breadcrumb float-md-right">
                            <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i
                                        class="zmdi zmdi-home"></i> Home</a></li>
                            <li class="breadcrumb-item active">Users</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        @if (session()->has('message'))
                            <div class="alert alert-success">
                                {{ session()->get('message') }}
                            </div>
                        @endif
                        <div class="card">
                            <div class="body">
                                <div class="table-responsive">
                                    <table id="user_list"
                                        class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                        <thead>
                                            <tr>
                                                <th>Id</th>
                                                <th>User name</th>
                                                <th>Total</th>
                                                <th>Paid</th>
                                                <th>Account holder name</th>
                                                <th>Account number</th>
                                                <th>Routing number</th>
                                                <th>Created at</th>
                                                <th>Is settled</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
@section('js')
    <script type="text/javascript">
        $(function() {

            var table = $('#user_list').DataTable({
                dom: "Bfrtip",
                buttons: ['excel'],
                processing: true,
                serverSide: true,
                "ajax": {
                    "url": "{{ route('admin.payout.list') }}",
                    "type": "POST",
                    data: {
                        "_token": "{{ csrf_token() }}"
                    }
                },
                "columnDefs": [{
                    "targets": [0],
                    "visible": false,
                    "searchable": false
                }, ],
                columns: [{
                        data: 'id',
                        name: 'id'
                    },
                    {
                        data: 'user_name',
                        name: 'user_name'
                    },
                    {
                        data: 'total',
                        name: 'total'
                    },
                    {
                        data: 'paid',
                        name: 'paid'
                    },
                    {
                        data: 'account_holder_name',
                        name: 'account_holder_name'
                    },
                    {
                        data: 'account_number',
                        name: 'account_number'
                    },
                    {
                        data: 'account_number',
                        name: 'account_number'
                    },
                    {
                        data: 'routing_number',
                        name: 'routing_number'
                    },

                    {
                        data: 'is_settled',
                        name: 'is_settled',
                        render: function(data, type, row) {
                            if (row.is_settled == '1') {
                                // return 'Active';
                                return '<label class="switch"><button type="button"  class="btn btn-danger">Settled</button></label>';
                            } else {
                                // return 'Inactive';
                                return '<label class="switch"><input type="checkbox" id="' + row
                                    .id +
                                    '" class="changeStatus"  onChange="changeStatus('+row.id+')"><span class="slider round"></span></label>';
                            }
                        }
                    },
                    {
                        data: 'action',
                        name: 'action',
                        // render: function(action) {
                        //     console.log('hello2', action)
                        //     return render_1(action)
                        // },

                    }
                ]
            });
        });


        function render_1(action) {
            return action;
        }

        function changeStatus(id) {
            // alert(id);
            $.ajax({
                url: "{{ route('admin.payout.change') }}/" + id,
                type: 'GET',
                dataType: "JSON",
                data: {},
                success: function(data) {
                    var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
                }
            });


        }

        function deleteFunc(id) {
            Swal.fire({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
                if (result.isConfirmed) {
                    alert(id);
                    // ajax
                    $.ajax({
                        type: "GET",
                        url: "{{ route('admin.user.delete') }}/" + id,
                        // data: { id: id },
                        dataType: 'json',
                        success: function(res) {
                            console.log(res);
                            Swal.fire(
                                'Deleted!',
                                'User record delete successfully!',
                                'success'
                            )
                            var oTable = $('.data-table').dataTable();
                            oTable.fnDraw(false);
                        }
                    });
                }
            })

        }
    </script>
@endsection
