@extends('layout.admin')
@section('title')
    Users
@endsection
@section('content')
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">&nbsp;</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item active"></li>
                    </ol>
                </div>
            </div>
        </div>
        <section class="content home">
            <div class="block-header">
                <div class="row">
                    <div class="col-lg-7 col-md-6 col-sm-12">
                        <h2>Users
                            <small class="text-muted">List of all users</small>
                        </h2>
                    </div>
                    <div class="col-lg-5 col-md-6 col-sm-12">
                        <ul class="breadcrumb float-md-right">
                            <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i
                                        class="zmdi zmdi-home"></i> Home</a></li>
                            <li class="breadcrumb-item active">Users</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        @if (session()->has('message'))
                            <div class="alert alert-success">
                                {{ session()->get('message') }}
                            </div>
                        @endif
                        <div class="card">
                            <div class="body">
                                <div class="table-responsive">
                                    <table id="user_list"
                                        class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                        <thead>
                                            <tr>
                                                <th>Id</th>
                                                <th>User name</th>
                                                <th>Inspector name</th>
                                                <th>Inspection date time</th>
                                                <th>Inspection address</th>
                                                <th>Registered Date</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
@section('js')
    <script type="text/javascript">
        $(function() {

            var table = $('#user_list').DataTable({
                dom: "Bfrtip",
                buttons: ['excel'],
                processing: true,
                serverSide: true,
                "ajax": {
                    "url": "{{ route('admin.reports.list') }}",
                    "type": "POST",
                    data: {
                        "_token": "{{ csrf_token() }}"
                    }
                },
                "columnDefs": [{
                    "targets": [0],
                    "visible": false,
                    "searchable": false
                }, ],
                columns: [{
                        data: 'id',
                        name: 'id'
                    },
                    {
                        data: 'user_name',
                        name: 'user_name'
                    },
                    {
                        data: 'inspector_name',
                        name: 'inspector_name'
                    },
                    {
                        data: 'inspection_date_time',
                        name: 'inspection_date_time'
                    },
                    {
                        data: 'inspection_address',
                        name: 'inspection_address'
                    },
                    {
                        data: 'createdat',
                        name: 'createdat'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        // render: function(action) {
                        //     console.log('hello2', action)
                        //     return render_1(action)
                        // },

                    }
                ]
            });
        });


        function render_1(action) {
            return action;
        }

        function changeStatus(id) {
            Swal.fire({
                title: 'Are you sure?',
                text: "Make it active or inactive!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, update it!'
            }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        url: "{{ route('admin.reports.change') }}/" + id,
                        type: 'GET',
                        dataType: "JSON",
                        data: {},
                        success: function(data) {
                            Swal.fire(
                                'Updated!',
                                'User record update successfully!',
                                'success'
                            )
                            var oTable = $('.data-table').dataTable();
                            oTable.fnDraw(false);
                        }
                    });
                }
            })

        }

        function deleteFunc(id) {
            Swal.fire({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
                if (result.isConfirmed) {
                    alert(id);
                    // ajax
                    $.ajax({
                        type: "GET",
                        url: "{{ route('admin.user.delete') }}/" + id,
                        // data: { id: id },
                        dataType: 'json',
                        success: function(res) {
                            console.log(res);
                            Swal.fire(
                                'Deleted!',
                                'User record delete successfully!',
                                'success'
                            )
                            var oTable = $('.data-table').dataTable();
                            oTable.fnDraw(false);
                        }
                    });
                }
            })

        }
    </script>
@endsection
