@extends('layout.admin')
@section('title') Add unifonic details @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Users132 </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">Unifonic</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Add unifonic account details
                        <small class="text-muted">Fill in the form and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.restaurant.list') }}"><i class="zmdi zmdi-store"></i> Unifonic</a></li>
                        <li class="breadcrumb-item active">Edit</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="header"><h2>Unifonic Account</h2></div>
                        <div class="body">
                            <form class="form" name="createDrawProduct" id="createDrawProduct" method="POST" enctype="multipart/form-data" action="{{ route('admin.restaurant.unifonic_add') }}">
                                {{ csrf_field() }}
                                {{ method_field('PUT') }}
                                <input type="hidden" name="id" id="id" value="{{$unifonic->id}}">
                                <div class="row clearfix">
                                  
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('unifonic_app_id') error @enderror">
                                                <input type="text" name="unifonic_app_id" id="unifonic_app_id" class="form-control" value="@if($unifonic->unifonic_app_id ){{ $unifonic->unifonic_app_id }}@endif">
                                                <label class="form-label">Unifonic app id</label>
                                            </div>
                                            @error('unifonic_app_id')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                      <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('unifonic_sender_id') error @enderror">
                                                <input type="text" name="unifonic_sender_id" id="unifonic_sender_id" class="form-control" value="@if($unifonic->unifonic_sender_id ){{ $unifonic->unifonic_sender_id }}@endif">
                                                <label class="form-label">Unifonic sender id</label>
                                            </div>
                                            @error('unifonic_sender_id')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                      <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('unifonic_email') error @enderror">
                                                <input type="text" name="unifonic_email" id="unifonic_email" class="form-control" value="@if($unifonic->unifonic_email ){{ $unifonic->unifonic_email }}@endif">
                                                <label class="form-label">Unifonic email</label>
                                            </div>
                                            @error('unifonic_email')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                      <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('unifonic_password') error @enderror">
                                                <input type="text" name="unifonic_password" id="unifonic_password" class="form-control" value="@if($unifonic->unifonic_password ){{ $unifonic->unifonic_password }}@endif">
                                                <label class="form-label">Unifonic password</label>
                                            </div>
                                            @error('unifonic_password')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-12">
                                        <button class="btn btn-raised btn-yellow  waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                          <a href="{{ route('admin.restaurant.list')}}" class="btn btn-raised btn-yellow  waves-effect float-right">Back</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
    $(document).ready(function(e) {
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $("#imagePreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        $("#main_image").change(function() {
            readURL(this);
        });

    });    
    // function readURL(input) {
    //     if (input.files && input.files[0]) {
    //         var reader = new FileReader();

    //         reader.onload = function (e) {
    //             $('#profile_image').css('display', 'block');
    //             $('#profile_image')
    //                 .attr('src', e.target.result)
    //                 .width(150)
    //                 .height(150);
    //         };

    //         reader.readAsDataURL(input.files[0]);
    //     }
    // }
    $(document).ready(function () {
        $('#createDrawProduct').validate({ // initialize the plugin
            rules: {
                unifonic_app_id: {
                    required: true
                },
                unifonic_sender_id: {  
                    required: true,  
                
                },
                unifonic_email: {  
                    required: true,
                    email: true  
                },
                unifonic_password: {  
                    required: true,  
                 
                },
               
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).append(error)
                } else {
                    error.insertAfter(element);
                }
            }
        });
    });
</script>
@endsection