@extends('layout.admin')
@section('title') Restaurant Details @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/css/detail_page.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Restaurant</h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.restaurant.list') }}"><i class="zmdi zmdi-store"></i> Restaurant </a></li>
                        <li class="breadcrumb-item active">Detail</li>
                    </ul>
                </div>
            </div>
        </div>
        @if(session()->has('message'))
            <div class="alert alert-success">
                {{ session()->get('message') }}
            </div>
        @endif

        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                        
                          <div class="container-fliud">
                            <div class="row">
                              <div class="col-md-4">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                        <div class="text-center">
                                          @if(!empty($user->profile_image))
                                              <img class="profile-user-img img-fluid img-circle" src="<?php echo env('project_image_path').'profile/'.$user->profile_image; ?>" />
                                          @else
                                              <img class="profile-user-img img-fluid img-circle" src="{{asset('assets/images/default.png')}}" />
                                          @endif
                                        </div>
                                         @if(!empty($user->full_name))
                                        <h3 class="profile-username text-center">{{ $user->full_name }}</h3>
                                         @endif

                                        @if(!empty($user->email))
                                        <p class="text-muted text-center">{{$user->email }}</p>
                                        @endif

                                        @if(!empty($user->mobile_number))
                                        <p class="text-muted text-center">{{$user->country_code.'-'.$user->mobile_number }}</p>
                                        @endif
                                        <ul class="list-group list-group-unbordered">

                                          @if(!empty($user->restaurant_name))
                                          <li class="list-group-item">
                                            <b>Restaurant Name</b> <a class="float-right">{{ $user->restaurant_name }}</a>
                                          </li>
                                          @endif
                                           @if(!empty($user->register_date))
                                          <li class="list-group-item">
                                            <b>Registered Date</b> <a class="float-right">{{date('d-m-Y', strtotime($user->register_date))}}</a>
                                          </li>
                                          @endif
                                           @if(!empty($user->is_admin_verify_date))
                                          <li class="list-group-item">
                                            <b>Approved Date</b> <a class="float-right">{{date('d-m-Y', strtotime($user->is_admin_verify_date))}}</a>
                                          </li>
                                          @endif
                                          
                                         
                                          <li class="list-group-item border-bottom-0">
                                            <b> Uploaded ID</b>
                                          @if(!empty($user->res_id_proof))
                                          <a class="float-right" target="_blank" href="<?php echo env('project_image_path').'profile/'.$user->res_id_proof; ?>">{{$user->res_id_proof}}</a>
                                          @else
                                            <a class="float-right" href="javascript:void(0)">ID Proof Not Uploaded</a>
                                          @endif
                                        </li>
                                        </ul>
                                      </div>
                                    </div>
                                  </div>
                              <div class="col-md-4">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                       
                                      
                                        <ul class="list-group list-group-unbordered mb-3">

                                         <li class="list-group-item border-top-0">
                                            <b>Total Earnings</b> <a class="float-right">{{ $total_earning }}</a>
                                          </li>
                                          <li class="list-group-item">
                                            <b>Total Orders</b> <a class="float-right">{{ $total_orders }}</a>
                                          </li>
                                          <li class="list-group-item">
                                            <b>Total Food Items</b> <a class="float-right">{{ $total_fooditems }}</a>
                                          </li>
                                          <li class="list-group-item">
                                            <b>Total Table QR Codes</b> <a class="float-right">{{ $table_qr_codes }}</a>
                                          </li>
                                          <li class="list-group-item">
                                            <b>Total Restaurant Menus</b> <a class="float-right">{{ $total_restaurantmenu }}</a>
                                          </li>
                                         
                                          <li class="list-group-item">
                                            <b>Total Promotions</b> <a class="float-right">{{ $total_promotion }}</a>
                                          </li>
                                          <li class="list-group-item">
                                            <b>Total Banner Deals</b> <a class="float-right">{{ $total_bannerdeals }}</a>
                                          </li>
                                         
                                          <li class="list-group-item">
                                            <b>Total Waiters </b> <a class="float-right">{{ $total_waiter }}</a>
                                          </li>
                                         
                                        </ul>
                                      </div>
                                    </div>
                                  </div>
                             
                                  <div class="col-md-4">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                      
                                        <ul class="list-group list-group-unbordered mb-3">
                                            <p class="mb-3"><h5>Subscription Plan</h5></p>
                                          <li class="list-group-item">

                                             <b>Transactions</b> <a class="float-right">@if($usersubscription){{ $usersubscription->transaction_id }} @else - @endif</a>
                                             <br/>
                                           </li>
                                           <li class="list-group-item">
                                             <b>Payment Date</b> <a class="float-right">@if($usersubscription){{date('d-m-Y', strtotime($usersubscription->order_date))}}@else - @endif</a>
                                             <br/>
                                           </li>
                                           <li class="list-group-item">
                                             <b>Expiry Date</b> <a class="float-right">@if($usersubscription){{date('d-m-Y', strtotime($usersubscription->expiry_date))}}@else - @endif</a>
                                          </li>
                                        <p class="mt-3"><h5>Total Credits</h5></p>
                                             <li class="list-group-item">
                                            <b>Purchased</b> <a class="float-right">{{ $total_credits['purchased'] }}</a>
                                          </li>
                                          <li class="list-group-item">
                                            <b>Spent</b> <a class="float-right">{{ $total_credits['spent'] }}</a>
                                          </li>
                                         
                                          <li class="list-group-item">
                                            <b>Remaining</b> <a class="float-right">{{ $total_credits['remaining'] }}</a>
                                          </li>
                                         
                                        </ul>
                                      </div>
                                    </div>
                                  </div>

                            </div>
                        <div class="card">
                    <div class="body">
                         <div class="table-responsive">
                          <h6> Branch</h6 ><br>
                            <table id="restaurant_list" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Full Name</th>
                                        <th>Restaurant Name</th>
                                        <th>Email Address</th>
                                        <th>Phone Number</th>
                                        <th>Earnings</th>
                                        <th>Registered Date</th>
                                        <th>Status</th>
                                        <th>Approved</th>
                                        <th>Popular</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                        </div>
                      </div>
                                  <a href="{{ route('admin.restaurant.list')}}" class="btn btn-raised btn-yellow waves-effect">Back</a>
                        </div>

                </div>
            </div>
        </div>
    </section>

</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
    $(function () {

    var table = $('#restaurant_list').DataTable({
        dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "{{ route('admin.restaurant.list') }}",
            "type": "POST",
            data: {
                "id":"{{last(request()->segments())}}",
                "_token": "{{ csrf_token() }}"
            }
        },
        columns: [
            {data: 'id', name: 'id'},
            {data: 'full_name', name: 'full_name'},
            {data: 'restaurant_name', name: 'restaurant_name'},
            {data: 'email', name: 'email'},
            {data: 'mobilenumber', name: 'mobilenumber'},
            {data: 'earnings', name: 'earnings'},
            {data: 'createdat', name: 'createdat'},
            {data: 'status', name: 'status', render:function(data, type, row){
                if(row.status == '1'){
                    return 'Active';
                } else {
                    return 'Block';
                }
            }},
            {data: 'is_admin_verify', name: 'is_admin_verify', render:function(data, type, row){
                if(row.is_admin_verify == '1'){
                   return 'Approve';
                }else if(row.is_admin_verify == '2'){
                     return 'Pending';
                } else {
                    return 'Reject';
                }
            }},
            {data: 'is_popular', name: 'is_popular', render:function(data, type, row){
                if(row.is_popular == '1'){
                   return 'Popular';
                } else {
                    return 'Unpopular';
                }
            }},
            {data: 'action', name: 'action'}
        ],
        "aoColumnDefs": [{ "bVisible": false, "aTargets": [0] }]

    });

  });
    function poplureFunc(id){
      
    Swal.fire({
        title: 'Are you sure?',
        text: "Make it popular or unpopular!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes!'
        }).then((result) => {
        if (result.isConfirmed) {
            // ajax
            $.ajax({
                type:"GET",
                url: "{{ route('admin.restaurant.popular') }}/"+id,
                // data: { id: id },
                dataType: 'json',
                success: function(res){
                  
                    Swal.fire(
                    'Updated!',
                    'User Update successfully!',
                    'success'
                    )
                    var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
                }
            });
        }
    })
}

</script>
@endsection
