@extends('layout.admin')
@section('title') Settings @endsection
@section('content')
<style type="text/css">
    .dataTables_filter{
        float: none !important;
    }
</style>
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Settings
                    <small class="text-muted">List of all settings</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Settings</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table id="banner_list" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Tap Payment Public Key</th>
                                        <th>Tap Payment Secret Key</th>
                                        <th>Tap Payment Marketplace Key</th>
                                       <!--  <th>Cancel Duration</th>
                                        <th>Tax</th> -->
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>  
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
  $(function () {
    
    var table = $('#banner_list').DataTable({
        processing: true,
        serverSide: true,
        ajax: "{{ route('admin.setting.list') }}",
        columns: [
            {data: 'id', name: 'id'},
            {data: 'tap_payment_public_key', name: 'tap_payment_public_key'},
            {data: 'tap_payment_secret_key', name: 'tap_payment_secret_key'},
            {data: 'tap_payment_merketplace_key', name: 'tap_payment_merketplace_key'},
            // {data: 'cancel_duration', name: 'cancel_duration'},
            // {data: 'tax', name: 'tax'},
            { data: 'action', name: 'action'},
            // {data: 'action', name: 'action', orderable: false, searchable: false},
        ]
    });
});
</script>
@endsection