@extends('layout.admin')
@section('title') Subscription @endsection
@section('content')
@php
use App\Helpers\Admin;
$create =  Admin::checkPermission(Session::get('user_id'),'Subscription','Create');
$update = Admin::checkPermission(Session::get('user_id'),'Subscription','Update');
@endphp
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Subscription
                    <small class="text-muted">List of all Subscription</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Subscription</li>
                    </ul>
                </div>
                @php if($create == 1){ @endphp 
                 <div class="col-lg-12 col-md-12 col-sm-12">
                   <a href="{{ route('admin.subscription.add') }}" class="btn btn-raised btn-yellow waves-effect float-right">Add</a>
                 </div>
                 @php } @endphp
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table id="subscription" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>Subscription Name</th>
                                        <th>Price</th>
                                        <th>Validity</th>
                                        <th>Action</th>
                                         
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
  $(function () {
  

    var table = $('#subscription').DataTable({

        dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "{{ route('admin.subscription.list') }}",
            "type": "POST",
            data: {
                "_token": "{{ csrf_token() }}"
            }
        },
        columns: [
            {data: 'name', name: 'name'},
            {data: 'price', name: 'price'},
            {data: 'validity', name: 'validity',
           render:function(data, type, row){
                if(row.validity == 'm'){
                    return 'Monthly';
                } else {
                    return 'Yearly';
                }
            }
        },
            {data: 'action', name: 'action'}
        ],
          initComplete: function () {
      var api = this.api();
      var myCondition = <?php echo $update; ?>;
      var number1 = parseInt(myCondition);
      var number2 = parseInt(0);
  
      if(number1 === number2) {
      
        api.column(3).visible( false );
      }else{
        api.column(3).visible( true );
      }
    }
    });
  });
  function changeStatus(id) {
      Swal.fire({
        title: 'Are you sure?',
        text: "Make it block or unblock!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, update it!'
        }).then((result) => {
        if (result.isConfirmed) {
      $.ajax(
        {
            url: "change/"+id,
            type: 'GET',
            dataType: "JSON",
            data: {
            },
            success: function (data)
            {
                Swal.fire(
                    'Updated!',
                    'User record update successfully!',
                    'success'
                    )
               var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
            }
        });
       }
    })
  
  }
function adminVerify(id){
    Swal.fire({
        title: 'Are you sure?',
        text: "Make it approve or reject!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, update it!'
        }).then((result) => {
        if (result.isConfirmed) {
    $.ajax(
        {
            url: "adminVerify/"+id,
            type: 'GET',
            dataType: "JSON",
            data: {
            },
            success: function (data)
            {
                Swal.fire(
                    'Updated!',
                    'User record update successfully!',
                    'success'
                    )
                  var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
            }
        });
     }
    })
}
  
function deleteFunc(id){

    Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
        if (result.isConfirmed) {
            // ajax
            $.ajax({
                type:"GET",
                url: "{{ route('admin.subscription.delete') }}/"+id,
                // data: { id: id },
                dataType: 'json',
                success: function(res){
                  if(!res.success){
                    Swal.fire(
                    'Use!',
                    res.error,
                    'error'
                    )
                }else{
                    Swal.fire(
                    'Deleted!',
                    res.success,
                    'success'
                    )
                }
                    var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
                }
            });
        }
    })

}
</script>
@endsection
