@extends('layout.admin')
@section('title') Restaurant Details @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/css/detail_page.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Restaurant</h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.restaurant.list') }}"><i class="zmdi zmdi-store"></i> Restaurant </a></li>
                        <li class="breadcrumb-item active">Detail</li>
                    </ul>
                </div>
            </div>
        </div>
        @if(session()->has('message'))
            <div class="alert alert-success">
                {{ session()->get('message') }}
            </div>
        @endif

        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                        <div class="container">
                          <div class="container-fliud">
                            <div class="row">
                              <div class="col-md-4">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                        <div class="text-center">
                                          @if(!empty($user->profile_image))
                                              <img class="profile-user-img img-fluid img-circle" src="<?php echo env('project_image_path').'profile/'.$user->profile_image; ?>" />
                                          @else
                                              <img class="profile-user-img img-fluid img-circle" src="{{asset('assets/images/default.png')}}" />
                                          @endif
                                        </div>
                                         @if(!empty($user->full_name))
                                        <h3 class="profile-username text-center">{{ $user->full_name }}</h3>
                                         @endif

                                        @if(!empty($user->email))
                                        <p class="text-muted text-center">{{$user->email }}</p>
                                        @endif

                                        @if(!empty($user->mobile_number))
                                        <p class="text-muted text-center">{{$user->country_code.'-'.$user->mobile_number }}</p>
                                        @endif
                                        <ul class="list-group list-group-unbordered mb-3">

                                         <!--@if(!empty($user->dob))
                                           <li class="list-group-item">
                                            <b>Birth Date</b> <a class="float-right">{{$user->dob}}</a>
                                          </li>
                                          @endif
                                          @if(!empty($user->gender))
                                          <li class="list-group-item">
                                            <b>Gender</b> <a class="float-right">{{$user->gender}}</a>
                                          </li> 
                                            @endif-->
                                            
                                          
                                          @if(!empty($user->restaurant_name))
                                          <li class="list-group-item">
                                            <b>Restaurant Name</b> <a class="float-right">{{ $user->restaurant_name }}</a>
                                          </li>
                                          @endif
                                           @if(!empty($user->address))
                                          <li class="list-group-item">
                                            <b>Address</b> <a class="float-right">{{ $user->address }}</a>
                                          </li>
                                          @endif    
                                          @if(!empty($user->city))
                                          <li class="list-group-item">
                                            <b>City</b> <a class="float-right">{{ $user->city }}</a>
                                          </li>
                                          @endif

                                          <li class="list-group-item">
                                             <b>Id Proof</b>
                                          @if(!empty($user->res_id_proof))
                                              <img class="profile-user-img img-fluid img-circle" src="<?php echo env('project_image_path').'profile/'.$user->res_id_proof; ?>" />
                                          @else
                                              <img class="profile-user-img img-fluid img-circle" src="{{asset('assets/images/default.png')}}" />
                                          @endif
                                        </li>
                                          @if(!empty($user->account_holder_name))
                                          <li class="list-group-item">
                                            <b>Account Holder Name</b> <a class="float-right">{{ $user->account_holder_name }}</a>
                                          </li>
                                          @endif
                                          @if(!empty($user->account_holder_name))
                                          <li class="list-group-item">
                                            <b>Account Number</b> <a class="float-right">{{ $user->account_number }}</a>
                                          </li>
                                          @endif
                                          @if(!empty($user->routing_IBAN_number))
                                          <li class="list-group-item">
                                            <b>Routing IBAN Number</b> <a class="float-right">{{ $user->routing_IBAN_number }}</a>
                                          </li>
                                          @endif
                                          @if(!empty($user->routing_IBAN_number))
                                          <li class="list-group-item">
                                            <b>Zip/Postal Code</b> <a class="float-right">{{ $user->zip_postal_code }}</a>
                                          </li>
                                          @endif
                                          @if(!empty($user->created_at))
                                          <li class="list-group-item">
                                            <b>Registered Date</b> <a class="float-right">{{date('d-m-Y', strtotime($user->created_at))}}</a>
                                          </li>
                                          @endif
                                          @if(!empty($user->status))
                                          <li class="list-group-item">
                                            <b>Status </b> <a class="float-right">{{$user->status == '1'?'Active':'Inactive'}}</a>
                                          </li>
                                          @endif
                                        </ul>
                                      </div>
                                    </div>
                                  </div>
                            </div>
                            </div>
                                  <a href="{{ route('admin.restaurant.list')}}" class="btn btn-primary">Back</a>
                        </div>

                </div>
            </div>
        </div>
    </section>

</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
</script>
@endsection
