<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="baseUrl" content="{{ url('/') }}">
    <title>@yield('title') | {{ config('app.name') }}</title>
    <link rel=icon href="{{asset('web/images/favicon.png')}}" sizes="20x20" type="image/png">
    <link rel="stylesheet" href="{{ url('assets/plugins/bootstrap/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ url('assets/plugins/jvectormap/jquery-jvectormap-2.0.3.css') }}" />
    <link rel="stylesheet" href="{{ url('assets/plugins/morrisjs/morris.css') }}" />
    <link rel="stylesheet" href="{{ url('assets/plugins/jquery-datatable/dataTables.bootstrap4.min.css') }}">
    <link rel="stylesheet" href="{{ url('assets/css/main.css') }}">
    <link rel="stylesheet" href="{{ url('assets/css/color_skins.css') }}">
    <link rel="stylesheet" href="{{ url('assets/css/chatapp.css') }}">
    <link rel="stylesheet" href="{{ url('assets/plugins/dropzone/dropzone.css') }}">
    <link href="{{ url('assets/plugins/bootstrap-select/css/bootstrap-select.css') }}" rel="stylesheet" />
    <link href="{{ url('assets/plugins/sweetalert/sweetalert.css')}}" rel="stylesheet" />
    <link rel="stylesheet" href="{{ url('assets/css/custom_change.css') }}">
    <link rel="stylesheet" href="{{ url('assets/css/switch_button.css') }}">
    <link href="{{ url('assets/sweetalert/sweetalert.css') }}" rel="stylesheet" />
    <link type='text/css' rel="stylesheet" href="{{ url('assets/css/toasted.min.css')}}">
    @yield('css')
    <style>
        .attribute_div,
        .attr_combination_div {
            border: solid gray;
        }
    </style>
</head>

<body class="theme-orange body_padding">
    @include('restaurant.common.loader')
    <div class="page-wrapper">
        @include('restaurant.common.header')
        @include('restaurant.common.sidebar')
        @yield('content')
        @yield('modal')
    </div>
    @include('restaurant.common.footer')
    @include('restaurant.common.toastNotification')
    <script type="text/javascript">
        @php
        // use App\Http\Controllers\Restaurant\DashboardController;
        //  $sub = DashboardController::check_expired_subscription();
        $sub = '';

        @endphp
        var sub = '<?php echo $sub; ?>';
        setInterval(function(sub) {
            if (sub != 0) {
                window.location.href = sub;
            }
        }, 12 * 60 * 60 * 1000, sub);
    </script>
    <!-- for notification start  -->

    <script type="text/javascript">
        var exist_notification = $('.cart_count').html();

        function fetchdata() {
            $.ajax({
                type: "GET",
                url: "{{ route('restaurant.notificationcount') }}",
                dataType: 'json',
                success: function(res) {
                    var new_notification = res.count;
                    var exist_notification = $('.cart_count-restaurant').html();
                    if (new_notification != exist_notification) {
                        $('.cart_count-restaurant').html(new_notification);
                    }
                }

            });
        }
        const myInterval = setInterval(fetchdata, 5000);
        /* for notification end  */

        function updatedailystock() {
            $.ajax({
                type: "GET",
                url: "{{ route('restaurant.updatedailystock') }}",
                dataType: 'json',
                success: function(res) {
                    console.log(res)
                }

            });
        }
        setInterval(updatedailystock, 12 * 60 * 60 * 1000);
    </script>
    <script type="text/javascript">
        @php
        $sub = '';
        @endphp
        var sub = '<?php echo $sub; ?>';
        setInterval(function(sub) {
            if (sub != 0) {
                //  window.location.href = sub;
            }
        }, 12 * 60 * 60 * 1000, sub);
    </script>
</body>

</html>