@extends('layout.website')
@section('title') All Inspection @endsection
@section('content')
<div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image " data-bs-bg="web_assets/img/bg/14.jpg">
    <div class="container pt-0">
        <h1 class="page-title text-white">All Inspection</h1>
        <div class="ltn__breadcrumb-list">
            <ul>
                <li><a href="{{route('website.home')}}" class="ltn__secondary-color"><span class="ltn__secondary-color"><i class="fas fa-home"></i></span>
                        Home</a></li>
                <li>Pending Inspection</li>
            </ul>
        </div>
    </div>
</div>
<!-- Start MAIN CONTENT -->
<div class="main_content">
    <div class="ltn__product-area ltn__product-gutter mb-100 section-padding">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ltn__product-tab-content-inner ltn__product-grid-view">
                        <div class="row">
                            <div class="col-lg-12">
                                <!-- Search Widget -->
                                <div class="ltn__search-widget mb-30 setsearch">
                                    <form action="#">
                                        <span><i class="fa fa-search"></i></span>
                                        <input type="text" name="search" placeholder="Search..">
                                    </form>
                                </div>
                            </div>



                            <div class="col-lg-12">
                                <div class="ltn__search-widget mb-30">
                                    <h3>
                                        <!-- Pending Inspections ({{$pending_inspection_count}}) -->
                                        <a href="#" class="text-end" style="float: right;" data-bs-toggle="modal" data-bs-target="#addinspection"><img src="web_assets/img/bg/all-inc.png"></a>
                                    </h3>
                                </div>
                            </div>
                            @if($code != 1)
                            <div class="col-lg-12">
                                <div class="headtitle-head">
                                    <center>
                                        <h2>Data Not Found!</h2>
                                    </center>
                                </div>
                            </div>
                            @else
                            <div class="col-lg-12">
                                <!-- Search Widget -->
                                <div class="ltn__search-widget mb-30">
                                    <h1>{{ $currentDate }}</h1>
                                </div>
                            </div>
                            <!-- ltn__product-item -->
                            <!-- ltn__product-item -->
                            @foreach ($data as $item)
                            @if($item->status == 'P')

                            <div class="col-lg-4 col-sm-6 col-12">
                                <div class="ltn__product-item ltn__product-item-4 ltn__product-item-5 text-center---">
                                    <div class="product-body">
                                        <div class="product-img">
                                            <a href="{{route('website.get_inspection_details', $item->id)}}"><img src="web_assets/img/product-3/1.jpg" alt="#"></a>
                                        </div>
                                        <div class="product-info">
                                            <span class="">{{$item->inspection_date_time}}</span>
                                            <h2 class="product-title">{{$item->inspection_address}}</h2>
                                            <h2 class="product-title">{{$item->city}},{{$item->zipcode}}</h2>
                                            <h3 class="product-title-h3">Inspector: James</h3>
                                        </div>
                                    </div>

                                    <div class="product-footer">
                                        <ul class="ltn__list-item-2--- ltn__list-item-2-before--- ltn__plot-brief set-respbox">

                                            @if($item->payment_info == 'UnPaid')
                                            <li class="signature"><span><img src="web_assets/img/bg/unpaid.png"></span>
                                                @else
                                            <li class="paid"><span><img src="web_assets/img/bg/paid.png"></span>
                                                @endif

                                                {{$item->payment_info}}
                                            </li>

                                            @if($item->contract_status == 'Signed!')
                                            <li class="paid"><span><img src="web_assets/img/bg/contract.png"></span>
                                                @else
                                            <li class="signature"><span><img src="web_assets/img/bg/signature.png"></span>
                                                @endif


                                                {{$item->contract_status}}
                                            </li>
                                            <li class="comment ms-3"><span><img src="web_assets/img/bg/comment.png">
                                                </span>
                                                235
                                            </li>
                                        </ul>
                                    </div>
                                    <hr>
                                    <div class="setfooter-inspection">
                                        @if($item->status == 'P')
                                            <a href="#" class="text-data" style="color:#F88125;"><img src="web_assets/img/bg/inspe-pending.png">
                                            Pending</a>
                                        @endif
                                        <a href="#"><img src="web_assets/img/bg/setting.png"></a>
                                    </div>
                                </div>
                            </div>
                            @endif
                            @endforeach
                            @endif


                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- END MAIN CONTENT -->
<div class="modal fade" id="addinspection" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="p-4">Filter by Inspection</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="account_box">
                    <form class="form-row">

                        <div class="col-lg-12">
                            <a href="{{route('website.all_inspection_pending')}}">
                                <h6 class="px-2 py-2" style="color:#F88125;"><img src="web_assets/img/bg/pending.png">
                                    Pending
                                </h6>
                            </a>
                        </div>
                        <div class="col-lg-12">
                            <a href="{{route('website.all_inspection_progress')}}">
                                <h6 class="px-2 py-2" style="color:#12CAE6;"><img src="web_assets/img/bg/progress.png">
                                    Work
                                    in progress
                                </h6>
                            </a>
                        </div>

                        <div class="col-lg-12">
                            <a href="{{route('website.all_inspection_details')}}">
                                <h6 class="px-2 py-2" style="color:#2D408C;"><img src="web_assets/img/bg/new-inspection.png"> New
                                </h6>
                            </a>
                        </div>
                        <div class="col-lg-12">
                            <a href="{{route('website.all_inspection_saved')}}">
                                <h6 class="px-2 py-2" style="color:#6666DE;"><img src="web_assets/img/bg/save.png">Saved
                                </h6>
                            </a>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>



@endsection
@section('script')