@extends('layout.website')
@section('title') Sign In @endsection
@section('content')
<section class="vh-100 section-img bg-overlay-theme-black-90 ">
    <div class="forgot-section">
        <div class="forgot">
            <div class="{{route('index')}}">
                <a href="index.php">
                    <img src="assets/img/logo.svg" alt="" class="img-fluid">
                </a>
                <h1 class="title">Forgot Password</h1>
                <p class="para-text">Please enter your registered email
                    address and we'll send you password reset instructions</p>

            </div>
            <div class="body">
                <form id="forgotPassword" action="{{route('website.forgotPassword')}}" method="post" autocomplete="off">
                    @csrf
                    <div class="form-group form-float">
                        <div class="form-line">
                            <input type="email" id="email" name="email" placeholder="Enter Email" autocomplete="new-password">
                            @error('email')
                            <label class="error" role="alert">{{ $message }}</label>
                            @enderror
                        </div>
                    </div>
                    <input type="submit" value="Submit" class="btn btn-orange w-100 mt-3">
                </form>
                <div class="text-center p-2">
                    Back To<a href="{{route('website.login')}}" class="text-black fw-bold"> Login</a>
                </div>
            </div>
        </div>
    </div>

</section>

@endsection
@section('script')
<script>
    jQuery.validator.addMethod("validEmail", function(value, element) {
        var emailRegex = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return this.optional(element) || (emailRegex.test(String(value).toLowerCase()));
    }, "Please enter a valid email");

    $("#forgotPassword").validate({
        rules: {
            "email": {
                required: true,
                email: email,
                validEmail: true,
            },
        },
        messages: {
            email: {
                required: "Please enter email",
                email: "Please enter a valid email",
            },
        },
        submitHandler: function(form) {
            loader('show');
            form.submit();
        },
        highlight: function(input) {
            $(input).parents('.form-line').addClass('error');
        },
        unhighlight: function(input) {
            $(input).parents('.form-line').removeClass('error');
        },
        errorPlacement: function(error, element) {
            $(element).parents('.form-group').append(error);
        }
    });
</script>
@endsection