@extends('layout.website')
@section('title') Phone Verification @endsection
@section('css')
    <style>
        .input-box{
            border: 1px solid #e3dede !important;
            padding-left: 40px !important;
        }
    </style>
@endsection
@section('content')

    <section class="section-img vh-100 bg-overlay-theme-black-90">
        <div class="otp-forgot-section">
            <div class="otp-forgot">
                <div class="header">
                    <a href="index.php">
                        <img src="assets/img/logo.svg" alt="" class="img-fluid">
                    </a>
                    <h1 class="title">Phone Verification</h1>
                    <p class="para-text">We have sent you an verification code to {{ $country_code ?? '' }} {{ $phone_number ?? '' }}</p>
                </div>
                <div class="body">
                    @if(session()->has('success'))
                        <div class="alert alert-success">
                            {{ session()->get('success') }}
                        </div>
                    @endif
                    @if(session()->has('error'))
                        <div class="alert alert-danger">
                            {{ session()->get('error') }}
                        </div>
                    @endif
                    <form id="verifyOtp" action="{{route('website.verifySignupOTP')}}" method="post" autocomplete="off">
                    @csrf
                        <label class="text-dark ps-2">Enter 4 Digit Code</label>
                        <div class="otp-input">
                            <input type="hidden" id="phone_number" name="phone_number" value="{{ $phone_number ?? '' }}">
                            <input type="hidden" name="country_code" value="{{ $country_code ?? '' }}">
                            <input type="text" name="otp1" id="otp1" class="form-control input-box" placeholder="" maxLength="1"  size="1"  min="0"  max="9"  pattern="[0-9]{1}"  name="otp[]"  placeholder="" onkeyup="clickEvent(this,'otp2')" inputmode="numeric">
                            <input type="text" name="otp2" id="otp2" class="form-control input-box" placeholder="" maxLength="1"  size="1"  min="0"  max="9"  pattern="[0-9]{1}"  name="otp[]"  placeholder="" onkeyup="clickEvent(this,'otp3')" inputmode="numeric">
                            <input type="text" name="otp3" id="otp3" class="form-control input-box" placeholder="" maxLength="1"  size="1"  min="0"  max="9"  pattern="[0-9]{1}"  name="otp[]"  placeholder="" onkeyup="clickEvent(this,'otp4')" inputmode="numeric">
                            <input type="text" name="otp4" id="otp4" class="form-control input-box" placeholder="" maxLength="1"  size="1"  min="0"  max="9"  pattern="[0-9]{1}"  name="otp[]"  placeholder="" inputmode="numeric">
                                    
                        </div>
                        <div class="form-group form-float">
                            <div class="form-line">
                                <label id="otp-error" class="error" role="alert"></label>
                            </div>
                        </div>
                        <input type="submit" style="background-color: var(--ltn__secondary-color) !important;font-size: 18px;padding: 12px 30px !important;    height: 57px !important;" value="Verify" class="btn btn-raised btn-yellow waves-effect btn btn-orange w-100 mt-3">

                    </form>
                    <div class="text-center p-2" id="resend">
                        <p>
                            <small class=" mr-1"><i class="fas fa-redo"></i> Didn't receive </small>
                            <a onclick="resendOTP();" id="resend" class="text-black font-weight-bold">OTP</a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    @endsection
    @section('script')
        <script>
            $('.input-box').on('keypress', function (event) {
                var regex = new RegExp("^[0-9]+$");
                var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                if (!regex.test(key)) {
                    event.preventDefault();
                    return false;
                }
            });
            var valid = true;
            $('.input-box').on('keyup', function (event) {
                $('#otp-error').text('');
                if(!valid){
                    var otpInputs = $('input[name^="otp"]'); // Get all input fields with names starting with "otp"
                        valid = true;
                        otpInputs.each(function() {
                        var otp = $(this).val();
                        if (otp.length !== 1 || !/^\d$/.test(otp)) {
                            valid = false;
                            return false; // Exit the loop early if validation fails
                        }
                    });
                    if (!valid) {
                        $('#otp-error').text('Please enter a valid 4-digit code.');
                        return false; // Prevent form submission
                    }
                }
                else{
                    $('#otp-error').text('');
                }
            });
            function clickEvent(first,last){
            if(first.value.length){
                document.getElementById(last).focus();
            }
            }   
            $(document).ready(function() {
                $('#verifyOtp').submit(function(e) {
                    e.preventDefault(); // Prevent form submission

                    // Clear previous error messages
                    $('#otp-error').text('');

                    // Perform validation
                    var otpInputs = $('input[name^="otp"]'); // Get all input fields with names starting with "otp"
                        valid = true;

                        otpInputs.each(function() {
                        var otp = $(this).val();

                        if (otp.length !== 1 || !/^\d$/.test(otp)) {
                            valid = false;
                            return false; // Exit the loop early if validation fails
                        }
                    });

                    if (!valid) {
                    $('#otp-error').text('Please enter a valid 4-digit code.');
                    return false; // Prevent form submission
                    }

                    // If validation passes, you can submit the form
                    // Uncomment the following line to submit the form
                    $('#verifyOtp').unbind('submit').submit();
                });
                
            });
            function resendOTP(){
                var phone_number = $('#phone_number').val();
                $.ajax({
                    type:"post",
                    url: "{{ route('website.resendOTP') }}",
                    dataType: 'json',
                    data : {'phone_number':	phone_number, '_token': "{{ csrf_token() }}" },
                    success: function(res){
                       
                        // window.localStorage.clear();
                        if(res.code == "1"){
                            toastr.success(res.message, "Action Complete");
                        }
                        else{
                            toastr.error(res.message, "Action Incomplete");
                        }
                    }
                });
            }

        </script>
        <!-- <script type="text/javascript">
            
            var min = 2;
            var sec = 00;
            var timer;
            var timeon = 0;
            var saved_countdown = localStorage.getItem('saved_countdown');
            if (saved_countdown == '0:0' && saved_countdown != null) {
                $('#resend').removeClass('disabled');
            }
            
            ActivateTimer();
            function ActivateTimer() {
                $('#resend').html("");
                if (!timeon) {
                    timeon = 1;
                    Timer();
                }
            }
            function Timer() {
                if (localStorage.getItem('firstLoad') === null) {
                    clearTimeout(timer); // Stop the timer if it's the first load
                    localStorage.setItem('firstLoad', true);
                    // return;
                }
                if (localStorage.getItem('min') !== null && localStorage.getItem('sec') !== null) {
                    min = localStorage.getItem('min');
                    sec = localStorage.getItem('sec');
                }
                var _time = min + ":" + sec;
                if (sec <= 9) {
                    document.getElementById("resend").innerHTML = 'Verify OTP in ' + min + ":" + "0" + sec;
                } else {
                    document.getElementById("resend").innerHTML = 'Verify OTP in ' + _time;
                }
                if (_time != "0:0") {
                    if (sec == 0) {
                        min = min - 1;
                        sec = 59;
                    } else {
                        sec = sec - 1;
                    }
                    timer = setTimeout("Timer()", 1000);
                    localStorage.removeItem('saved_countdown');
                    localStorage.setItem('saved_countdown', _time);
                    localStorage.setItem('min', min);
                    localStorage.setItem('sec', sec);

                } else {
                    document.getElementById("resend").innerHTML = "<p><small class='mr-1'><i class='fas fa-redo'></i> Didn't receive </small><a   onclick='resendOTP();' id='resend' class='disabled text-black font-weight-bold'>OTP</a></p>";
                    $('#resend').removeClass('disabled');
                    localStorage.setItem('saved_countdown', _time);

                }
            }
            $(document).ready(function() {
                if (saved_countdown == '0:0' && saved_countdown != null) {

                    localStorage.setItem('saved_countdown', min + ":" + sec);
                    localStorage.setItem('min', min);
                    localStorage.setItem('sec', sec);
                    $('#resend').attr('disabled', true);
                }
            });
            
            
        </script> -->
        <script>
            
        </script>
    @endsection