@extends('layout.website')
@section('title') Edit Schedule Inspection @endsection
@section('content')


<!-- Start MAIN CONTENT -->


<div class="main_content">
    <div class="container">
        <div class="row justify-content-center">



            <form method="post" action="{{route('website.post_edit_inspection',$data->id ?? '')}}" data-parsley-validate="">
                @csrf
                <div class="col-12 col-lg-12">
                    <div class="Schedule-client-info mt-2">

                        <div class="row">
                            <div class=" col-md-6">
                                <label for="name">Inspector</label>
                                <div class="input-item">
                                    <select class="form-select" aria-label="Default select example" data-parsley-required="true">
                                        <option>Jason Mann</option>

                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="name">Client</label>
                                <input type="text" class="form-control" name="client_name" value="{{$data->client_info->client_name}}" data-parsley-required="true">
                            </div>
                            <div class="col-md-6">
                                <label>Email</label>
                                <input type="text" class="form-control" name="email" value="{{$data->client_info->email}}" data-parsley-required="true">
                            </div>

                            <div class="col-md-6">
                                <label>Phone</label>
                                <div class="phone-number">
                                    <select class="form-select" aria-label="Default select example" data-parsley-required="true" name="country_code">
                                        <option>{{$data->client_info->country_code}}</option>

                                    </select>
                                    <input type="text" class="form-control" name="phone_number" value="{{$data->client_info->phone_number}}" data-parsley-required="true">
                                </div>

                            </div>
                            <div class="col-md-6">
                                <label>Private notes</label>
                                <textarea name="private_note" value="" class="form-control phone-input" data-parsley-required="true">{{$data->client_info->private_note}}</textarea>
                            </div>
                            <div class="col-lg-12 col-md-12">
                                <a href="#" data-bs-toggle="modal" data-bs-target="#add-additionalclient" class="info-text"><img src="{{asset('web_assets/img/bg/user.png')}}" class="p-1 mb-1">Add
                                    Additional
                                    Clients</a>
                            </div>
                        </div>

                    </div>
                    <div class="date-time-info mt-2">

                        <div class="row">
                            <div class="form-group setcalendar col-md-6">
                                <label class="pt-2">Date-Time</label>
                                <input type="date" class="form-control " name="inspection_date_time" value="{{ $data->inspection_date_time }}" data-parsley-required="true">
                                <!-- <span><img src="assets/img/bg/calendar (2).png"></span> -->
                            </div>
                            <div class="form-group col-md-6">
                                <label class="pt-2">Inspection Address</label>
                                <input type="location" class="form-control" name="inspection_address" id="location" value="{{ $data->inspection_address }}" data-parsley-required="true">
                                <span><img src="{{asset('web_assets/img/bg/location.png')}}"></span>
                            </div>

                            <input type="hidden" name="latitude" id="latitude">
                            <input type="hidden" name="longitude" id="longitude">
                        </div>

                    </div>
                    <div class="realtor-schedule-info mt-2">

                        <div class="row">
                            @foreach ($realtor_data as $realtor)
                            <div class="col-md-6">
                                <label>Realtor</label>
                                <input type="text" class="form-control" name="realtor_name" value="{{$realtor->realtor_name}}" data-parsley-required="true">
                            </div>
                            <div class="col-md-6">
                                <label>Email</label>
                                <input type="text" class="form-control" name="realtor_email" value="{{$realtor->email}}" data-parsley-required="true">
                            </div>
                            <div class="col-md-6">
                                <label>Phone</label>
                                <div class="phone-number">
                                    <select name="realtor_country_code" class="form-select" aria-label="Default select example">
                                        <option>{{$realtor->country_code}}</option>

                                    </select>
                                    <input type="text" class="form-control" name="realtor_phone_number" value="{{$realtor->phone_number}}" data-parsley-required="true">
                                </div>
                            </div>

                            <div class="col-lg-12">
                                <button class="btn btn-calendar w-100  mt-3" type="submit">Save</button>
                            </div>
                            @endforeach
                        </div>

                    </div>
                </div>
            </form>


        </div>
    </div>
</div>




<!-- END MAIN CONTENT -->


<!-- Modal -->
<div class="modal fade" id="add-additionalclient" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="p-3">Add Client Info</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="account_box">


                    <div class="col-lg-12 ">
                        <div class="form-group">
                            <label>Client Name</label>
                            <input type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Client Name ">
                        </div>
                    </div>
                    <div class="col-lg-12 ">
                        <div class="form-group">
                            <label>Email</label>
                            <input type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Email">
                        </div>
                    </div>
                    <form action="">
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <label>Phone</label>
                                <div class="phone-number">
                                    <select class="form-select" aria-label="Default select example">
                                        <option>+00</option>
                                        <option>+91</option>
                                        <option>+124</option>
                                        <option>+0012</option>
                                    </select>
                                    <input type="text" required="" class="form-control" name="phone" placeholder="Phone Number">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group">
                                <label>Private notes</label>
                                <textarea name="ltn__message" placeholder="Write here..." class="form-control phone-input"></textarea>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <a class="btn btn-orange  mt-3" href="schedule-inspection.php">Save</a>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>



<div class="modal fade" id="add-realtorclient" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="p-3">Add Realtors Info</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="account_box">


                    <div class="col-lg-12 ">
                        <div class="form-group">
                            <label>Realtor Name</label>
                            <input type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Realtor Name">
                        </div>
                    </div>
                    <div class="col-lg-12 ">
                        <div class="form-group">
                            <label>Email</label>
                            <input type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Realtor Email">
                        </div>
                    </div>
                    <div class="col-lg-12 ">
                        <div class="form-group">
                            <label>Phone</label>
                            <div class="phone-number">
                                <select class="form-select" aria-label="Default select example">
                                    <option>+00</option>
                                    <option>+91</option>
                                    <option>+124</option>
                                    <option>+0012</option>
                                </select>
                                <input type="text" required="" class="form-control" name="phone" placeholder="Realtor Phone Number">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <button class="btn btn-orange  mt-3" type="submit">Save</button>
                    </div>

                </div>
            </div>

        </div>
    </div>
</div>

<div class="modal fade" id="success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="p-3">Add Realtors Info</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="ltn__slide-item-inner ">
                    <div class="container">
                        <div class="row justify-content-center">
                            <div class="col-lg-6 col-md-8">
                                <div class="bg-back">
                                    <div class="section-title-area text-center pt-4 pb-4">

                                        <div style="border-radius:200px; height:200px; width:200px; background: #F8FAF5; margin:0 auto; border:1px solid #F88125;">
                                            <i class="checkmark successtik">✓</i>
                                        </div>
                                        <h1 class="section-title text-center">Success</h1>
                                        <p class="">Your inspection has been saved to
                                            the Calendar..</p>
                                        <span class=" text-center">Scheduled at 26 April, 2021</span>
                                        <a class="btn btn-calendar  mt-3" href="schedule-inspection.php">OK</a>
                                        <!-- <div class="calendar spcial-link-2 text-center pt-3 ">
                                                <a href="#" class="w-100"> ok</a>
                                            </div> -->
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

@endsection
@section('script')
<script src="https://cdn.jsdelivr.net/npm/parsleyjs@2.9.2/dist/parsley.min.js"></script>

<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=AIzaSyCpVBkLUpYRzn3H3D9otnOWr_9XSuGvL74&libraries=places,drawing&sensor=false"></script>


<script>
    $(document).ready(function() {
        $("#latitudeArea").hide();
        $("#longitudeArea").hide();
    });

    function initialize() {
        var input = document.getElementById('location');
        var autocomplete = new google.maps.places.Autocomplete(input);
        input.setAttribute('placeholder', '');
        autocomplete.addListener('place_changed', function() {
            var place = autocomplete.getPlace();
            $('#latitude').val(place.geometry['location'].lat());
            $('#longitude').val(place.geometry['location'].lng());

            $("#latitudeArea").toggle(!!place.geometry && !!place.geometry.location);
            $("#longitudeArea").toggle(!!place.geometry && !!place.geometry.location);
        });
    }

    google.maps.event.addDomListener(window, 'load', initialize);
</script>
@endsection