@extends('layout.website')
@section('title') Home @endsection
@section('content')
<section class="schedule-inc-img col lg-12">
    <div class="container">

        <div class="banner-block text-center">

            <a href="#" class="title">
                <label class="profile-img" data-bs-toggle="modal" data-bs-target="#add-newbusiness">
                    <img src="{{ $user_info->business_logo ?? '' }}">
                </label><br>
                {{ $user_info->business_name ?? '' }}
            </a>

        </div>

    </div>
</section>

<!-- Start MAIN CONTENT -->
<div class="main_content">
    <div class="ltn__product-area ltn__product-gutter section-padding">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ltn__product-tab-content-inner ltn__product-grid-view">
                        <div class="row">

                            @if($code != 1)
                            <div class="col-lg-12">
                                <div class="headtitle-head">
                                    <center>
                                        <h2>Data Not Found!</h2>
                                    </center>
                                </div>
                            </div>

                            @else
                            <div class="col-lg-12">
                                <div class="headtitle-head">
                                    <h2>{{ $currentDate }}</h2>
                                </div>
                            </div>


                            <!-- ltn__product-item -->
                            @foreach ($data as $item)
                            @php

                            $originalDateTime = $item->inspection_date_time;
                            $dateTimeObject = new DateTime($originalDateTime, new DateTimeZone('UTC'));


                            $dateTimeObject->setTimezone(new DateTimeZone('Asia/Kolkata'));


                            $formattedDateTime = $dateTimeObject->format('F j, Y');

                            @endphp
                            <div class="col-lg-4 col-sm-6 col-12">
                                <div class="ltn__product-item ltn__product-item-4 ltn__product-item-5 text-center---">
                                    <div class="product-body">
                                        <div class="product-img">
                                            <a href="{{route('website.get_inspection_details', $item->id)}}"><img src="web_assets/img/product-3/1.jpg" alt="#"></a>
                                        </div>
                                        <div class="product-info">
                                            <span class="">{{$formattedDateTime}}</span>
                                            <h2 class="product-title">{{$item->inspection_address}}</h2>
                                            <h2 class="product-title">{{$item->city}},{{$item->zipcode}}</h2>
                                            <h3 class="product-title-h3">Inspector: James</h3>
                                        </div>
                                    </div>
                                    <div class="product-footer">
                                        <ul class="ltn__list-item-2--- ltn__list-item-2-before--- ltn__plot-brief set-respbox">

                                            @if($item->payment_info == 'UnPaid')
                                            <li class="signature"><span><img src="web_assets/img/bg/unpaid.png"></span>
                                                @else
                                            <li class="paid"><span><img src="web_assets/img/bg/paid.png"></span>
                                                @endif

                                                {{$item->payment_info}}
                                            </li>

                                            @if($item->contract_status == 'Signed!')
                                            <li class="paid"><span><img src="web_assets/img/bg/contract.png"></span>
                                                @else
                                            <li class="signature"><span><img src="web_assets/img/bg/signature.png"></span>
                                                @endif


                                                {{$item->contract_status}}
                                            </li>
                                            <li class="comment ms-3"><span><img src="web_assets/img/bg/comment.png">
                                                </span>
                                                235
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                            @endif

                            <div class="col-lg-12">
                                <div class="addbusiness-btn ">

                                    <a href="{{route('website.calendar')}}" class="btn btn-calendar">
                                        Calendar</a>

                                    <a href="{{route('website.addScheduleInspenction')}}" class="btn btn-orange">
                                        New</a>


                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- END MAIN CONTENT -->




<!-- Modal -->
<!-- <div class="modal fade" id="add-newbusiness" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="account_box">


                    <form class="form-row">
                        <div class="col-lg-12">
                            <div class="form-group text-center">
                                <label class="profile-img">
                                    <img src="web_assets/img/bg/profile.png">
                                    <input type="file" name="business_logo" placeholder="Add image" required>
                                </label>
                            </div>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <input name="business_name" type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Business Name"  required>
                            </div>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <input name="inspector_name" type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Inspector Name" required>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group">

                                <button type="submit" class="w-100 btn btn-calendar"> Save</button>

                            </div>
                        </div>
                    </form>


                </div>
            </div>

        </div>
    </div>
</div> -->






@endsection
@section('script')
@endsection