@extends('layout.website')
@section('title') Schedule Inspection @endsection
@section('content')
<style type="text/css">
    span ul li {

        list-style: none;
        padding: 0;
        margin: 0;

    }
</style>
<section class="schedule-inc-img col lg-12">
    <div class="container">
        <div class="banner-block text-center">
            <h2 class="title">
                <label class="profile-img">
                    <img src="web_assets/img/bg/schedule-ins.png">
                </label><br>
                Schedule Inspection
            </h2>
            <p class="para-text">Please add inspection details.</p>
        </div>
    </div>
</section>

<!-- Start MAIN CONTENT -->
<div class="main_content">
    <div class="container">
        <div class="row justify-content-center">


            <form action="{{route('website.addScheduleInspenction')}}" data-parsley-validate="" method="post">
                @csrf
                <div class="col-12 col-lg-12">
                    <div class="Schedule-client-info mt-2">
                        <div class="row">

                            <div class="col-md-6">
                                <label for="name">Inspector</label>
                                <div class="input-item">
                                    <select class="form-select" aria-label="Default select example">
                                        <option value="">Inspector Name</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <label for="name">Client</label>
                                <input type="text" class="form-control" name="client_name" placeholder="Client Name">
                            </div>

                            <div class="col-md-6">
                                <label>Email</label>
                                <input name="client_email" type="email" id="client_email" placeholder="Email">
                                <span id="emailerror" class="text-danger"></span>
                            </div>

                            <div class="col-md-6">
                                <label>Phone</label>
                                <div class="phone-number">
                                    <select class="form-select" aria-label="Default select example" name="client_country_code">
                                        <option>+00</option>
                                        <option>+91</option>
                                        <option>+124</option>
                                        <option>+0012</option>
                                    </select>
                                    <input name="client_phone_number" type="text" id="phone" placeholder="Phone number" data-parsley-errors-container="#phoneerror">
                                </div>
                            </div>

                            <div class="col-md-6">
                                <label>Private notes</label>
                                <textarea name="private_note" placeholder="Write here..." class="form-control phone-input"></textarea>
                            </div>

                            <div class="col-lg-12 col-md-12">
                                <a href="#" data-bs-toggle="modal" data-bs-target="#add-additionalclient" class="info-text"><img src="web_assets/img/bg/user.png" class="p-1 mb-1">Add
                                    Additional
                                    Clients</a>
                            </div>
                        </div>
                    </div>

                    <div class="date-time-info mt-2">
                        <div class="row">

                            <div class="form-group setcalendar col-md-6">
                                <label class="pt-2">Date-Time</label>
                                <input type="date" required="" class="form-control" name="inspection_date_time" placeholder="Inspection Date-Time" data-parsley-required="true" data-parsley-required-message="Please enter an inspection date and time" data-parsley-errors-container="#datetimeerror">
                            </div>
                            <span id="datetimeerror" class="text-danger"></span>


                            <div class="form-group col-md-6">
                                <label class="pt-2">Inspection Address</label>
                                <input id="location" type="location" required="" class="form-control" name="location" placeholder="Inspection Address" data-parsley-required="true" data-parsley-required-message="Please enter a inspection address" data-parsley-errors-container="#inspectionaddress">
                                <span><img src="web_assets/img/bg/location.png"></span>
                            </div>
                            <span id="inspectionaddress" class="text-danger"></span>

                            <input type="hidden" name="latitude" id="latitude">
                            <input type="hidden" name="longitude" id="longitude">


                        </div>
                    </div>

                    <div class="realtor-schedule-info mt-2">

                        <div class="row">



                            <div class="row">
                                <div class="col-md-6">
                                    <label>Realtor</label>
                                    <input onclick="show_listing()" type="text" id="realtor_name" class="form-control" name="realtor_name" placeholder="Realtor Name" data-parsley-required-message="Please enter a realtor name" data-parsley-errors-container="#realtornameerror">
                                    <ul id="listing_data"></ul>
                                    <span id="realtornameerror" class="text-danger"></span>
                                </div>
                            </div><br>

                            <input type="hidden" id="realtor_id" name="realtor_id">
                            <div class="col-md-6">
                                <label>Email</label>
                                <input name="email" type="email" id="rel_email" placeholder="Realtor Email" data-parsley-required-message="Please enter a realtor email address" data-parsley-errors-container="#realtoremailerror" data-parsley-type-message="Please enter a valid email address">
                                <span id="realtoremailerror" class="text-danger"></span>
                            </div>



                            <div class="col-md-6">
                                <label>Phone</label>
                                <div class="phone-number">
                                    <select name="country_code" id="rel_country_code" class="form-select" aria-label="Default select example">

                                        <option value="+91">+91</option>
                                        <option value="+124">+124</option>
                                        <option value="+0012">+0012</option>
                                        <option value="+1">+1</option>
                                    </select>
                                    <input name="phone_number" type="text" id="rel_phone_number" placeholder="Realtor phone number" data-parsley-required-message="Please enter a realtor phone number" data-parsley-pattern="^[0-9]{10,}$" data-parsley-pattern-message="Please enter a valid 10-digit phone number" data-parsley-errors-container="#realtorphoneerror">
                                </div>
                                <span id="realtorphoneerror" class="text-danger"></span>
                            </div>

                            <div class="col-lg-12 col-md-12">
                                <a href="#" data-bs-toggle="modal" data-bs-target="#add-realtorclient" class="info-text"><img src="web_assets/img/bg/user.png" class="p-1 mb-1">Add
                                    Additional
                                    Realtors</a>
                            </div>



                            <div class="col-lg-12">
                                <button class="btn btn-orange w-100  mt-3" type="submit">Save</button>
                            </div>
                        </div>

                    </div>
                </div>
            </form>




        </div>
    </div>
</div>

<!-- END MAIN CONTENT -->


<!-- Modal -->
<div class="modal fade" id="add-additionalclient" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="p-3">Add Client Info</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="account_box">
                    <form class="form-row">

                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <label>Client Name</label>
                                <input type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Client Name ">
                            </div>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <label>Email</label>
                                <input type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Email">
                            </div>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <label>Phone</label>
                                <div class="phone-number">
                                    <select class="form-select" aria-label="Default select example">
                                        <option>+00</option>
                                        <option>+91</option>
                                        <option>+124</option>
                                        <option>+0012</option>
                                    </select>
                                    <input type="text" required="" class="form-control" name="phone" placeholder="Phone Number">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group">
                                <label>Private notes</label>
                                <textarea name="ltn__message" placeholder="Write here..." class="form-control phone-input"></textarea>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <a class="btn btn-orange  mt-3" href="schedule-inspection.php">Save</a>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>


<div class="modal fade" id="add-realtorclient" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="p-3">Add Realtors Info</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="account_box">


                    <form class="form-row" action="{{ route('website.addScheduleInspenction') }}" method="post">
                        @csrf
                        <input type="hidden" name="modal_form" value="true">
                        
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <label>Realtor Name</label>
                                <input name="realtor_name" type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Realtor Name" required>
                            </div>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <label>Email</label>
                                <input name="email" type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Realtor Email" required>
                            </div>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <label>Phone</label>
                                <div class="phone-number">
                                    <select class="form-select" aria-label="Default select example" name="country_code">
                                        <option>+00</option>
                                        <option>+91</option>
                                        <option>+124</option>
                                        <option>+0012</option>
                                    </select>
                                    <input type="text" required="" class="form-control" name="phone_number" placeholder="Realtor Phone Number" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <button class="btn btn-orange  mt-3" type="submit">Save</button>
                        </div>
                    </form>


                </div>
            </div>

        </div>
    </div>
</div>



@endsection
@section('script')
<script src="https://cdn.jsdelivr.net/npm/parsleyjs@2.9.2/dist/parsley.min.js"></script>
<script>
    $(document).ready(function() {
        $('#phone_number').on('keydown', function(e) {
            // Allow only numeric input (0-9) and certain key codes
            if (!(e.key.match(/[0-9]/) || [8, 9, 13, 27, 37, 39].includes(e.keyCode))) {
                e.preventDefault();
            }
        });
    });
</script>
<script>
    var placeSearch, autocomplete;
    var componentForm = {

        locality: 'long_name',
        administrative_area_level_1: 'long_name',
        country: 'long_name',
        postal_code: 'short_name'

    };

    function initAutocomplete() {
        console.log("HI");
        autocomplete = new google.maps.places.Autocomplete((document.getElementById('autocomplete')), {
            types: ['geocode']
        });


        autocomplete.addListener('place_changed', fillInAddress);

    }

    function fillInAddress() {

        var place = autocomplete.getPlace();
        document.getElementById("latitude").value = place.geometry.location.lat();
        document.getElementById("longitude").value = place.geometry.location.lng();

        for (var component in componentForm) {
            document.getElementById(component).value = '';
            document.getElementById(component).disabled = false;
        }


        for (var i = 0; i < place.address_components.length; i++) {
            var addressType = place.address_components[i].types[0];
            if (componentForm[addressType]) {
                var val = place.address_components[i][componentForm[addressType]];
                document.getElementById(addressType).value = val;
            }
        }
    }


    function geolocate() {
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(function(position) {
                var geolocation = {
                    lat: position.coords.latitude,
                    lng: position.coords.longitude
                };

                var circle = new google.maps.Circle({
                    center: geolocation,
                    radius: position.coords.accuracy
                });
                autocomplete.setBounds(circle.getBounds());
            });
        }
    }
</script>
<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=AIzaSyCpVBkLUpYRzn3H3D9otnOWr_9XSuGvL74&libraries=places,drawing&sensor=false"></script>

<script>
    $(document).ready(function() {
        $("#latitudeArea").hide();
        $("#longitudeArea").hide();
    });

    function initialize() {
        var input = document.getElementById('location');
        var autocomplete = new google.maps.places.Autocomplete(input);
        input.setAttribute('placeholder', '');
        autocomplete.addListener('place_changed', function() {
            var place = autocomplete.getPlace();
            $('#latitude').val(place.geometry['location'].lat());
            $('#longitude').val(place.geometry['location'].lng());

            $("#latitudeArea").toggle(!!place.geometry && !!place.geometry.location);
            $("#longitudeArea").toggle(!!place.geometry && !!place.geometry.location);
        });
    }

    google.maps.event.addDomListener(window, 'load', initialize);


    // ------------------------REALTOR DATA --------------------------------


    function show_listing() {
        $('#listing_data').html('');
        var html = '';
        app.forEach(element => {
            html += `<li><a href="javascript:void(0)" class="realtor-link" data-realtor_id="${element.id}" data-phone_number="${element.phone_number}" data-country_code="${element.country_code}"data-email="${element.email}">${element.realtor_name}</a></li>`;
        });
        $('#listing_data').append(html);
    }

    $(document).on('click', '.realtor-link', function() {
        const realtorName = $(this).text();
        const realtorEmail = $(this).data('email');
        const country_code = $(this).data('country_code');
        const phone_number = $(this).data('phone_number');
        const realtor_id = $(this).data('realtor_id');


        console.log('Clicked:', realtorName, realtorEmail, country_code, phone_number, realtor_id); // Add this line

        $('#realtor_name').val(realtorName);
        $('#rel_email').val(realtorEmail);
        $('#rel_country_code').val(country_code);
        $('#rel_phone_number').val(phone_number);
        $('#realtor_id').val(realtor_id);

        $('#listing_data').html('');
    });
</script>
<script>
    var app = <?php echo json_encode($data); ?>;
</script>

@endsection