<?php

use App\Http\Controllers\Controller;
use App\Http\Controllers\Resetpassword as Resetpassword;
use App\Http\Controllers\WebsiteController;
use App\Http\Controllers\Inspection_details;
use App\Http\Controllers\ScheduleInspenctionController;
use App\Http\Controllers\SectionViewController;
use App\Http\Controllers\GalleryViewController;
use App\Http\Controllers\GenerateInvoiceController;
use App\Http\Controllers\CreateEditContractController;

use Illuminate\Support\Facades\Route;


// echo "hi";die;
Route::get('/', [WebsiteController::class, 'index'])->name('index');
Route::get('verification/resetPassword/{token?}', [Resetpassword::class, 'index'])->name('verification.resetPassword');
Route::post('verification/change_password', [Resetpassword::class, 'change_password'])->name('verification.change_password');
Route::prefix('')->group(function () {
  Route::match(['get', 'post'], 'login', [WebsiteController::class, 'login'])->name('website.login');
  Route::match(['get', 'post'], 'signup', [WebsiteController::class, 'signup'])->name('website.signup');
  Route::match(['get', 'post'], 'sendSignupOTP', [WebsiteController::class, 'sendSignupOTP'])->name('website.sendSignupOTP');
  Route::post('resendOTP', [WebsiteController::class, 'resendOTP'])->name('website.resendOTP');
  Route::match(['get', 'post'], 'verifySignupOTP', [WebsiteController::class, 'verifySignupOTP'])->name('website.verifySignupOTP');
  Route::match(['get', 'post'], 'forgotPassword', [WebsiteController::class, 'forgotPassword'])->name('website.forgotPassword');



  Route::match(['get', 'post'], 'addBankInfo', [WebsiteController::class, 'addBankInfo'])->name('website.addBankInfo');
  Route::get('bank_details', [WebsiteController::class, 'bank_details'])->name('website.bank_details');
  Route::get('delete_bank/{id}', [WebsiteController::class, 'delete_bank'])->name('website.delete_bank');


  // ---------change password

  Route::match(['get', 'post'], 'change_password', [WebsiteController::class, 'change_password'])->name('website.change_password');

  Route::match(['get', 'post'], 'edit_profile', [WebsiteController::class, 'edit_profile'])->name('website.edit_profile');




  Route::get('home', [WebsiteController::class, 'home'])->name('website.home');
  Route::get('signout', [WebsiteController::class, 'signout'])->name('website.signout');
  Route::get('aboutus', [WebsiteController::class, 'aboutus'])->name('website.aboutus');
  Route::get('contactus', [WebsiteController::class, 'contactus'])->name('website.contactus');
  Route::match(['get', 'post'], 'settings', [WebsiteController::class, 'settings'])->name('website.settings');


  Route::get('get_inspection_details/{id}', [Inspection_details::class, 'get_inspection_details'])->name('website.get_inspection_details');
  Route::get('edit_inspection_details/{id}', [Inspection_details::class, 'edit_inspection_details'])->name('website.edit_inspection_details');
  Route::post('post_edit_inspection/{id}', [Inspection_details::class, 'post_edit_inspection'])->name('website.post_edit_inspection');
  Route::get('delete_inspection/{id}', [Inspection_details::class, 'delete_inspection'])->name('website.delete_inspection');
  Route::get('all_inspection_details', [Inspection_details::class, 'all_inspection_details'])->name('website.all_inspection_details');
  Route::get('all_inspection_pending', [Inspection_details::class, 'all_inspection_pending'])->name('website.all_inspection_pending');
  Route::get('all_inspection_progress', [Inspection_details::class, 'all_inspection_progress'])->name('website.all_inspection_progress');
  Route::get('all_inspection_saved', [Inspection_details::class, 'all_inspection_saved'])->name('website.all_inspection_saved');
  Route::get('calendar', [Inspection_details::class, 'calendar'])->name('website.calendar');




  Route::match(['get', 'post'], 'addScheduleInspenction', [ScheduleInspenctionController::class, 'addScheduleInspenction'])->name('website.addScheduleInspenction');
  Route::match(['get', 'post'], 'map', [ScheduleInspenctionController::class, 'map'])->name('website.map');


  // Route::get('realtorlist', [ScheduleInspenctionController::class, 'realtorlist'])->name('website.realtorlist');



  Route::match(['get', 'post'], 'section_view', [SectionViewController::class, 'section_view'])->name('website.section_view');

  Route::match(['get', 'post'], 'gallery_view', [GalleryViewController::class, 'gallery_view'])->name('website.gallery_view');


  Route::match(['get', 'post'], 'generate_invoice', [GenerateInvoiceController::class, 'generate_invoice'])->name('website.generate_invoice');

  Route::match(['get', 'post'], 'create_edit_contract', [CreateEditContractController::class, 'create_edit_contract'])->name('website.create_edit_contract');
});
